<?php
/************************************************************/
/* NPDS : Net Portal Dynamic System                         */
/* ==========================                               */
/* Fichier : modules/bug/bloc/bloc_bug.php                  */
/*                                                          */
/* Module Bug                                               */
/* Version 1.0 Beta                                         */
/* Auteur Oim                                               */
/*                                                          */
/* Editeur utilise Gedit 2.24.2                             */
/* Largeur des tabulations 3 espaces                        */
/************************************************************/

   global $language, $cookie, $user, $Default_Theme, $NPDS_Prefix;

   $ModPath = 'bug';
   $ModStart = 'bug';

   /*Debut Retro compatibilité SABLE*/
   if (!function_exists('sql_connect'))
   {

      include ('modules/'.$ModPath.'/retro-compat/mysql.php');

   }
   /*Fin Retro compatibilité SABLE*/

   if (file_exists('modules/'.$ModPath.'/bloc/lang/'.$language.'.php'))
   {

      include_once('modules/'.$ModPath.'/bloc/lang/'.$language.'.php');

   }
   else
   {

      include_once('modules/'.$ModPath.'/bloc/lang/french.php');

   }

   include_once('modules/'.$ModPath.'/admin/config.php');

   /*Si membre appartient au bon groupe*/
   if(autorisation($cor))
   {

      /*Selectionne css suivant theme*/
      if (isset($user))
      {

         echo '<link rel="stylesheet" type="text/css" href="themes/'.$cookie[9].'/style/'.$ModPath.'_bloc.css" />';

      }
      else
      {

         echo '<link rel="stylesheet" type="text/css" href="themes/'.$Default_Theme.'/style/'.$ModPath.'_bloc.css" />';

      }

      $content = '<div align="center" class="bug_menu">'.bloc_bug_trad('Votre situation').'</div>'
      .'<div class="bug_quatre">'
      .'<ul>';

      /*Requete affiche etat bug du correcteur $cookie*/
      $query = sql_query("SELECT 
            us.snom, us.coul_stat, 
            COUNT(ut.id) AS un
         FROM 
            ".$NPDS_Prefix."bug_statut us 
            LEFT JOIN ".$NPDS_Prefix."bug ut ON ut.statut = us.id_stat 
         WHERE 
            ut.correcteur = '$cookie[1]' 
         GROUP BY ut.statut 
         ORDER BY us.id_stat");
      while (list($snom, $coul_stat, $un) = sql_fetch_row($query))
      {

         $snom = stripslashes(aff_langue($snom));

         $content .= '<li><font color="#'.$coul_stat.'">'.$snom.'</font>&nbsp;:&nbsp;'.$un.'</li>';

      }

      $content .= '</ul>'
      .'<center><a href="modules.php?ModPath='.$ModPath.'&amp;ModStart=administration&amp;subop=gestion&amp;pseudo='.$cookie[1].'" class="rouge">'.bloc_bug_trad('Voir votre page').'</a></center>'
      .'</div><br />';

   }

?>
