<?php
/************************************************************/
/* NPDS : Net Portal Dynamic System                         */
/* ==========================                               */
/* Fichier : modules/bug/admin/admin.php                    */
/*                                                          */
/* Module Bug                                               */
/* Version 1.0 Beta                                         */
/* Auteur Oim                                               */
/*                                                          */
/* Editeur utilise Gedit 2.24.2                             */
/* Largeur des tabulations 3 espaces                        */
/************************************************************/

   /*Debut Securite*/
   if (!function_exists('Access_Error'))
   {

      header('location: ../.. /../index.php');

   }

   if (!strstr($PHP_SELF,'admin.php'))
   {

      Access_Error();

   }
   /*Fin Securite*/

//////////////////////
/// DEBUT FONCTION ///
//////////////////////

/// DEBUT MENU PRINCIPAL ///
function menuprincipal()
{

   global $ModPath, $NPDS_Prefix;
   global $ThisFile;

   opentable();

   $version = 'V.1.0';

   echo '<div class="titre_module">'.adm_bug_trad('Administration des Bugs').'&nbsp;'.$version.'</div>'

   .'<div class="cadre_admin" align="center">'
   .'<div class="titre_admin">[&nbsp;<a href="'.$ThisFile.'">'.adm_bug_trad('Accueil').'</a>&nbsp;&nbsp;&nbsp;|&nbsp;&nbsp;&nbsp;'
   .'<a href="'.$ThisFile.'&amp;subop=modifcate">'.adm_bug_trad('Cat&eacute;gories').'</a>&nbsp;&nbsp;&nbsp;|&nbsp;&nbsp;&nbsp;'
   .'<a href="'.$ThisFile.'&amp;subop=niveaux">'.adm_bug_trad('Niveaux').'</a>&nbsp;&nbsp;&nbsp;|&nbsp;&nbsp;&nbsp;'
   .'<a href="'.$ThisFile.'&amp;subop=configuration">'.adm_bug_trad('Configuration').'</a>&nbsp;&nbsp;&nbsp;|&nbsp;&nbsp;&nbsp;'
   .'<a href="modules.php?ModPath='.$ModPath.'&amp;ModStart=bug">'.adm_bug_trad('Voir le module').'</a>&nbsp;]</div><br />'
   .'<div align="center"><a href="javascript:void(0);" onClick=\'window.open("modules.php?ModPath=f-manager&amp;ModStart=f-manager&amp;FmaRep=bugadmin","bug","menubar=no,location=no,directories=no,status=no,copyhistory=no,height=500px,width=800px,top=0,left=0,toolbar=no,scrollbars=yes,resizable=yes");\'>'.adm_bug_trad('G&eacute;rer les t&eacute;l&eacute;chargements').'</a></div>'
   .'</div>';

   closetable();

}
/// FIN MENU PRINCIPAL ///

/////////////////
/// DEBUT BUG ///
/////////////////

/// DEBUT LISTE ///
function adminbug()
{

   global $ModPath, $NPDS_Prefix;
   global $ThisFile, $page, $order;

   include('modules/'.$ModPath.'/admin/config.php');
   require_once('modules/'.$ModPath.'/pag_fonc.php');

   menuprincipal();

   opentable();

   /*Total pour la naviguation*/
   $nb_entrees = sql_num_rows(sql_query("SELECT * FROM ".$NPDS_Prefix."bug"));

   /*Pour la naviguation*/
   $total_pages = ceil($nb_entrees/$nb_admin);

   if($page == 1)
   {

      $page_courante = 1;

   }
   else
   {

      if ($page < 1)
         $page_courante = 1;
      elseif ($page > $total_pages)
         $page_courante = $total_pages;
      else
         $page_courante = $page;

   }

   $start = ($page_courante * $nb_admin - $nb_admin);

   /*Ordre par defaut*/
   if($order == ''){$order = '1';}

   echo '<div class="cadre_admin">'
   .'<div class="titre_admin" align="center">'.adm_bug_trad('Aper&ccedil;u des bugs').'</div><br />'
   .'<div align="left">'.adm_bug_trad('Trier par').'&nbsp;:&nbsp;';

   /*Requete affiche statut pour trie*/
   $query = sql_query("SELECT * FROM ".$NPDS_Prefix."bug_statut ORDER BY id_stat");
   while (list($id_stat, $snom, $coul_stat) = sql_fetch_row($query))
   {

      $snom = stripslashes(aff_langue($snom));

      echo '<a href="'.$ThisFile.'&amp;order='.$id_stat.'"><font color="#'.$coul_stat.'">'.$snom.'</font></a>&nbsp;&nbsp;';

   }

   echo '</div><br />'

   .'<table width="98%" cellpadding="2" cellspacing="2" align="center" border="0">'
   .'<tr class="sous_titre_module" align="center">'
   .'<td width="20%">'.adm_bug_trad('Cat&eacute;gorie').'</td>'
   .'<td width="15%">'.adm_bug_trad('Endroit').'</td>'
   .'<td width="10%">'.adm_bug_trad('Importance').'</td>'
   .'<td width="10%">'.adm_bug_trad('Posteur').'</td>'
   .'<td width="10%">'.adm_bug_trad('Correcteur').'</td>'
   .'<td width="20%">'.adm_bug_trad('Statut').'</td>'
   .'<td width="5%">'.adm_bug_trad('Editer').'</td>'
   .'<td width="10%">'.adm_bug_trad('Supprimer').'</td>'
   .'</tr>';

   /*Requete liste bug avec pagination*/
   $query1 = sql_query("SELECT 
         us.id, us.endroit, us.statut, us.importance, us.posteur, us.correcteur, us.id_cat, 
         ut.titre, 
         uv.snom, uv.coul_stat, 
         uy.inom, uy.coul_imp 
      FROM 
         ".$NPDS_Prefix."bug us, 
         ".$NPDS_Prefix."bug_cate ut, 
         ".$NPDS_Prefix."bug_statut uv, 
         ".$NPDS_Prefix."bug_imp uy 
      WHERE 
         us.id_cat = ut.id_cat 
         AND uv.id_stat = us.statut 
         AND uy.id_imp = us.importance 
      ORDER BY us.statut = '$order' DESC, us.endroit ASC 
      LIMIT $start,$nb_admin");
   while (list($id, $endroit, $statut, $importance, $posteur, $correcteur, $id_cat, $titre, $snom, $coul_stat, $inom, $coul_imp) = sql_fetch_row($query1))
   {

      $endroit = stripslashes(aff_langue($endroit));
      $titre = stripslashes(aff_langue($titre));
      $snom = stripslashes(aff_langue($snom));
      $inom = stripslashes(aff_langue($inom));

      echo '<tr class="titre_admin">'
      .'<td>'.$titre.'</td>'
      .'<td>'.$endroit.'</td>'
      .'<td align="center" style="color:#'.$coul_imp.'">'.$inom.'</font></td>'
      .'<td align="center">'.$posteur.'</td>'
      .'<td align="center">';

      if ($correcteur)
      {

         echo ''.$correcteur.'';

      }
      else
      {

         echo '<i>'.adm_bug_trad('A d&eacute;terminer').'</i>';

      }

      echo '</td>'
      .'<td align="center" style="color:#'.$coul_stat.'">'.$snom.'</font></td>'
      .'<td align="center"><a href="'.$ThisFile.'&amp;subop=editbug&amp;id='.$id.'&amp;id_cat='.$id_cat.'"><img src="modules/'.$ModPath.'/images/editer.gif" border="0" /></a></td>'
      .'<td align="center"><a href="'.$ThisFile.'&amp;subop=suppbug&amp;id='.$id.'"><img src="modules/'.$ModPath.'/images/delete.gif" border="0" /></a></td>'
      .'</tr>';

   }

   echo '</table><br />';

   /*Affiche pagination*/
   echo bug_pag($total_pages,$page_courante,'2',''.$ThisFile.'&amp;subop=adminbug&amp;order='.$order.'','_admin');

   echo '</div>';

   closetable();

}
/// FIN LISTE ///

/// DEBUT EDITION BUG ///
function editbug($id, $id_cat)
{

   global $ModPath, $NPDS_Prefix;
   global $ThisFile;

   /*Debut securite*/
   settype($id,"integer");
   settype($id_cat,"integer");
   /*Fin securite*/

   include('modules/'.$ModPath.'/admin/config.php');
   include("lib/formhelp.java.php");

   menuprincipal();

   opentable();

   /*Requete affiche bug suivant $id*/
   $query = sql_query("SELECT endroit, statut, importance, posteur, correcteur, description, version FROM ".$NPDS_Prefix."bug WHERE id = '$id'");
   list($endroit, $statut, $importance, $posteur, $correcteur, $description, $version) = sql_fetch_row($query);

   $endroit = stripslashes($endroit);
   $description = stripslashes($description);

   $actu = ''.$id_cat.','.$version.'';

   echo '<div class="cadre_admin">'
   .'<table width="98%" cellpadding="2" cellspacing="2" align="center" border="0">'
   .'<form action="'.$ThisFile.'" method="post" name="coolsus">'
   .'<input type="hidden" name="id" value="'.$id.'" />'
   .'<tr>'
   .'<td class="sous_titre_module" colspan="2" align="center">'.adm_bug_trad('Valider ce bug').'</td>'
   .'</tr>'

   .'<tr class="sous_titre_module">'
   .'<td width="20%" class="sous_titre_module">'.adm_bug_trad('Cat&eacute;gorie').'</td>'
   .'<td width="80%" class="titre_admin">'
   .'<select name="newcate">';

   /*Requete liste categorie*/
   $result = sql_query("SELECT 
         us.id_cat, us.titre, 
         ut.idv, ut.version 
      FROM 
         ".$NPDS_Prefix."bug_cate us, 
         ".$NPDS_Prefix."bug_vers ut 
      WHERE 
         us.id_cat = ut.id_cat 
         AND us.cat_ligne = '1' 
         AND ut.archive = '0' 
      ORDER BY us.titre ASC, ut.version DESC");
   while(list($sid_cat, $titre, $idv, $vers) = sql_fetch_row($result))
   {

      $titre = stripslashes(aff_langue($titre));

      $idem = ''.$sid_cat.','.$idv.'';

      echo '<option value="'.$idem.'"';
      if($idem == $actu)
      echo ' selected=\'selected\'';
      echo '>'.$titre.'&nbsp;-&nbsp;'.$vers.'</option>';

   }

   echo '</select>'
   .'</td>'
   .'</tr>'

   .'<tr>'
   .'<td class="sous_titre_module">'.adm_bug_trad('Endroit').'</td>'
   .'<td class="titre_admin"><input type="text" name="newendroit" value="'.$endroit.'" size="40" /></td>'
   .'</tr>'

   .'<tr>'
   .'<td class="sous_titre_module">'.adm_bug_trad('Statut').'</td>'
   .'<td class="titre_admin">'
   .'<select name="newstatut">';

   /*Requete liste statut*/
   $result = sql_query("SELECT id_stat, snom FROM ".$NPDS_Prefix."bug_statut ORDER BY id_stat ASC");
   while($statu = sql_fetch_assoc($result))
   {

      $statu['snom'] = stripslashes(aff_langue($statu['snom']));

      echo '<option value="'.$statu['id_stat'].'"';
      if($statu['id_stat'] == $statut)
      echo ' selected=\'selected\'';
      echo '>'.$statu['snom'].'</option>';

   }

   echo '</select>'
   .'</td>'
   .'<td>'
   .'</tr>'

   .'<tr>'
   .'<td class="sous_titre_module">'.adm_bug_trad('Importance').'</td>'
   .'<td class="titre_admin">'
   .'<select name="newimportance">';

   /*Requete liste importance*/
   $result = sql_query("SELECT id_imp, inom FROM ".$NPDS_Prefix."bug_imp ORDER BY id_imp ASC");
   while($impo = sql_fetch_assoc($result))
   {

      $impo['inom'] = stripslashes(aff_langue($impo['inom']));

      echo '<option value="'.$impo['id_imp'].'"';
      if($impo['id_imp'] == $importance)
      echo ' selected=\'selected\'';
      echo '>'.$impo['inom'].'</option>';

   }

   echo '</select>'
   .'</td>'
   .'</tr>'

   .'<tr>'
   .'<td class="sous_titre_module">'.adm_bug_trad('Posteur').'</td>'
   .'<td class="titre_admin">&nbsp;'.$posteur.'</td>'
   .'</tr>'

   .'<tr>'
   .'<td class="sous_titre_module">'.adm_bug_trad('Correcteur').'</td>'
   .'<td class="titre_admin">'
   .'<select name="correc">'
   .'<option></option>';

   /*Affiche liste groupe correcteur*/
   $res = sql_query("SELECT 
         ut.uname 
      FROM 
         ".$NPDS_Prefix."users_status us, 
         ".$NPDS_Prefix."users ut 
      WHERE 
         FIND_IN_SET($cor, us.groupe) <> 0 
         AND us.uid = ut.uid 
      GROUP BY us.uid 
      ORDER BY ut.uname ASC");
   while($categorie = sql_fetch_assoc($res))
   {

      echo '<option value=\''.$categorie['uname'].'\'';
      if($categorie['uname'] == $correcteur)
      echo ' selected=\'selected\'';
      echo '">'.$categorie['uname'].'</option>';

   }

   echo '</select>'
   .'</td>'
   .'</tr>'

   .'<tr class="sous_titre_module" align="center">'
   .'<td colspan="2">'.adm_bug_trad('Description').'</td>'
   .'</tr>'

   .'<tr>'
   .'<td valign="top" class="sous_titre_module">'
   ."<a href=\"javascript: addText(' http://www.','');\"><img src=\"modules/$ModPath/images/lien.gif\" border=\"0\" alt=\"\" width=\"18\" height=\"18\" /></a>&nbsp;&nbsp;"
   ."<a href=\"javascript: addText('\[/code]\\n','\\n\[/code]');\"><img src=\"modules/$ModPath/images/code.gif\" border=\"0\" alt=\"\" width=\"18\" height=\"18\" /></a><br />";

   if ($ibid = theme_image("forum/smilies/smilies.php"))
   {

      $imgtmp = 'themes/'.$theme.'/images/forum/smilies/';

   }
   else
   {

      $imgtmp = 'images/forum/smilies/';

   }

   if (file_exists($imgtmp."smilies.php"))
   {

      include ($imgtmp."smilies.php");

      foreach ($smilies AS $tab_smilies)
      {

         if ($tab_smilies[3])
         {

            echo "<a href=\"javascript: emoticon('".$tab_smilies[0]."');\"><img src=\"".$imgtmp.$tab_smilies[1]."\" border=\"0\" alt=\"$tab_smilies[2]";

            if ($tab_smilies[2]) echo " => ";

            echo $tab_smilies[0]."\" /></a> ";

         }

      }

   }

   echo '</td>'
   .'<td class="titre_admin">'
   .'<textarea class="textbox" name="message" onSelect="storeCaret(this);" onClick="storeCaret(this);" onKeyup="storeCaret(this);" onFocus="storeForm(this)" rows="10" cols="80" wrap="virtual" style="width: 100%;">'.$description.'</textarea><br />'
   .'</td>'
   .'</tr>'

   .'<tr class="sous_titre_module" align="center">'
   .'<td colspan="2">'
   .'<input type="hidden" name="subop" value="ajoutbug" />'
   .'<input type="submit" class="adm_bouton" value="'.adm_bug_trad('mettre &agrave; jour').'" />'
   .'</td>'
   .'</tr>'
   .'</form>'
   .'<table><br />'

   .'<table width="98%" cellpadding="2" cellspacing="2" align="center" border="0">'
   .'<tr class="titre_admin" align="center">'
   .'<td><br />'
   .'<form action="'.$ThisFile.'" method="post" name="adminForm">'
   .'<input type="hidden" name="id" value="'.$id.'" />'
   .''.adm_bug_trad('Ce n\'est pas un bug').',&nbsp;<a href="replypmsg.php?send='.$posteur.'" target="_blank" class="text_rouge">'.adm_bug_trad('Avertir le posteur par MI').'</a><br /><br />'
   .''.adm_bug_trad('Transf&eacute;rer ce bug dans le forum correspondant').'&nbsp;('.adm_bug_trad('supprimera le bug &agrave; la demande').')</a>&nbsp;&nbsp;'
   .'<select name="forum">'
   .'<option></option>';

   /*Requete liste forums*/
   $result = sql_query("SELECT forum_id, forum_name FROM ".$NPDS_Prefix."forums ORDER BY forum_name ASC");
   while($forum_name = sql_fetch_assoc($result))
   {

      $forum_name['forum_name'] = stripslashes(aff_langue($forum_name['forum_name']));

      echo '<option value="'.$forum_name['forum_id'].'">'.$forum_name['forum_name'].'</option>';

   }

   echo '</select>'
   .'</td>'
   .'</tr>'

   .'<tr class="sous_titre_module" align="center">'
   .'<td colspan="4">'
   .'<input type="hidden" name="subop" value="transfert" />'
   .'<input type="submit" class="adm_bouton" value="'.adm_bug_trad('Transf&eacute;rer').'" />'
   .'</td>'
   .'</form>'
   .'</tr>'
   .'</table>'
   .'</div><br />';

   require_once('modules/'.$ModPath.'/pag_fonc.php');

   /*Total pour naviguation*/
   $nb_entrees = sql_num_rows(sql_query("SELECT * FROM ".$NPDS_Prefix."bug_com WHERE id_cat = '$id_cat' AND id_bug = '$id'"));

   /*Pour la naviguation*/
   $total_pages = ceil($nb_entrees/$nb_admin);

   if($page == 1)
   {

      $page_courante = 1;

   }
   else
   {

      if ($page < 1)
         $page_courante = 1;
      elseif ($page > $total_pages)
         $page_courante = $total_pages;
      else
         $page_courante = $page;

   }

   $start = ($page_courante * $nb_admin - $nb_admin);

   echo '<div class="cadre_admin">'
   .'<div class="titre_admin" align="center">'.adm_bug_trad('Commentaires de ce bug').'</div><br />'

   .'<table border="0" width="90%" align="center" cellpadding="2" cellspacing="5">'
   .'<tr class="sous_titre_module" align="center">'
   .'<td width="10%">'.adm_bug_trad('ID').'</td>'
   .'<td width="15%">'.adm_bug_trad('Posteur').'</td>'
   .'<td width="55%">'.adm_bug_trad('Commentaire').'</td>'
   .'<td width="20%">'.adm_bug_trad('Date').'</td>'
   .'<td width="20%">'.adm_bug_trad('Supprimer').'</td>'
   .'</tr>';

   /*Requete liste commentaire suivant $id_cat avec pagination*/
   $res = sql_query("SELECT id, pseudo, com, date FROM ".$NPDS_Prefix."bug_com WHERE id_cat = '$id_cat' AND id_bug = '$id' ORDER BY ID DESC LIMIT $start,$nb_admin");
   while(list($cid, $pseudo, $com, $date) = sql_fetch_row($res))
   {

      $com = stripslashes($com);

      echo '<tr class="titre_admin">'
      .'<td valign="top" align="center">'.$cid.'</td>'
      .'<td valign="top">'.$pseudo.'</td>'
      .'<td valign="top">'.$com.'</td>'
      .'<td valign="top" align="center">'.date(translate("dateinternal"),$date).'</td>'
      .'<td valign="top" align="center"><a href="'.$ThisFile.'&amp;subop=supppcom&amp;id_bug='.$id.'&amp;cid='.$cid.'&amp;id_cat='.$id_cat.'"><img src="modules/'.$ModPath.'/images/delete.gif" border="0" /></a></td>'
      .'</tr>';

   }

   echo '</table><br />';

   /*Affiche pagination*/
   echo bug_pag($total_pages,$page_courante,'2',''.$ThisFile.'&amp;subop=editbug&amp;id='.$id.'&amp;id_cat='.$id_cat.'','_admin');

   echo '</div>'; 

   closetable();

}
/// FIN EDITION BUG ///

/// DEBUT AJOUT-MODIF BUG ///
function ajoutbug($id, $newcate, $newendroit, $newstatut, $newimportance, $message, $correc)
{

   global $NPDS_Prefix;
   global $ThisRedo;

   /*Debut securite*/
   settype($id,"integer");
   settype($newstatut,"integer");
   settype($newimportance,"integer");
   $message = removeHack(addslashes($message));
   $newendroit = removeHack(addslashes($newendroit));
   $correc = removeHack($correc);
   /*Fin securite*/

   menuprincipal();

   opentable();

   if ($correc == '')
   {

      echo '<div class="cadre_admin" align="center"><span class="text_rouge">'.adm_bug_trad('Vous n\'avez pas introduit de correcteur').'</span>'
      .'<br /><a href="javascript:history.go(-1)">'.adm_bug_trad('Retour').'</a></div>';

   }
   else
   {

      $message = str_replace("\n", "<br />", $message);

      if($newstatut == '2'){$tps = ''.time().'';}else{$tps = '';}

      $coupe = explode(",", $newcate);

      $query = "UPDATE ".$NPDS_Prefix."bug SET id_cat = '$newcate', endroit = '$newendroit', statut = '$newstatut', importance = '$newimportance', correcteur = '$correc', description = '$message', id_cat = '$coupe[0]', datfin = '$tps', version = '$coupe[1]' WHERE id = '$id'";
      $succes = sql_query($query) or die ("erreur : ".sql_error());
      if ($succes) redirect_url(''.$ThisRedo.'');

   }

   closetable();

}
/// FIN AJOUT-MODIF BUG ///

/// DEBUT TRANSFERT BUG VERS FORUM ///
function transfert($id, $forum)
{

   global $NPDS_Prefix;
   global $ThisRedo;

   /*Debut securite*/
   settype($id,"integer");
   settype($forum,"integer");
   /*Fin securite*/

   if ($forum == '')
   {

      menuprincipal();

      opentable();

      echo '<div class="cadre_admin" align="center"><span class="text_rouge">'.adm_bug_trad('Vous n\'avez pas introduit de forum').'</span>'
      .'<br /><a href="javascript:history.go(-1)">'.adm_bug_trad('Retour').'</a></div>';

      closetable();

   }
   else
   {

      $query = sql_query("SELECT endroit, posteur, description FROM ".$NPDS_Prefix."bug WHERE id = '$id'");
      list($endroit, $posteur, $description) = sql_fetch_row($query);

      $query1 = sql_query("SELECT uid FROM ".$NPDS_Prefix."users WHERE uname = '$posteur'");
      list($uid) = sql_fetch_row($query1);

      $poster_ip =  getip();
      $hostname=@gethostbyaddr($poster_ip);

      $time = date("Y-m-d H:i",time() + ($gmt*3600));
      $sql = "INSERT INTO ".$NPDS_Prefix."forumtopics (topic_title, topic_poster, current_poster, forum_id, topic_time, topic_notify) VALUES ('$endroit', '$uid', '$uid', '$forum', '$time'";
      if (isset($notify2) && $userdata[uid] != 1)
      {

         $sql .= ", '1'";

      }
      else
      {

         $sql .= ", '0'";

      }

      $sql .= ")";
      if(!$result = sql_query($sql))
      {

         forumerror(0020);

      }

      $topic_id = sql_last_id();
      $sql = "INSERT INTO ".$NPDS_Prefix."posts (topic_id, image, forum_id, poster_id, post_text, post_time, poster_ip, poster_dns) VALUES ('$topic_id', 'icon2.gif', '$forum', '$uid', '$description', '$time', '$poster_ip', '$hostname')";
      if (!$result = sql_query($sql))
      {

         forumerror(0020);

      }
      else
      {

         $IdPost=sql_last_id();

      }

      $sql = "UPDATE ".$NPDS_Prefix."users_status SET posts=posts+1 WHERE (uid='$uid')";
      $result = sql_query($sql);
      if (!$result)
      {

         forumerror(0029);

      }

      redirect_url(''.$ThisRedo.'&subop=suppbug&id='.$id.'');

   }

}
/// FIN TRANSFERT BUG VERS FORUM ///

/// DEBUT SUPPRIMER BUG ///
function suppbug($id, $ok=0)
{

   global $ThisFile;
   global $NPDS_Prefix;

   /*Debut securite*/
   settype($id,"integer");
   settype($ok,"integer");
   /*Fin securite*/

   menuprincipal();

   opentable();

   if ($ok == 1)
   {

      $result = "DELETE FROM ".$NPDS_Prefix."bug WHERE id = '$id'";
      $succes = sql_query($result) or die ("erreur : ".sql_error());
      $result1 = "DELETE FROM ".$NPDS_Prefix."bug_com WHERE id_bug = '$id'";
      $succes = sql_query($result1) or die ("erreur : ".sql_error());

      echo '<div class="cadre_admin" align="center"><span class="text_rouge">'.adm_bug_trad('Le bug est effac&eacute;.').'</span><br /><br />[&nbsp;<a href="'.$ThisFile.'">'.adm_bug_trad('Retour &agrave; l\'index').'</a>&nbsp;]</div>';

   }
   else
   {

      echo '<div class="cadre_admin" align="center"><span class="text_rouge">'.adm_bug_trad('Voulez-vous vraiment supprimer ce bug ?').'</span><br /><br />'
      .'[&nbsp;<a href="'.$ThisFile.'">'.adm_bug_trad('NON').'</a>&nbsp;|&nbsp;<a href="'.$ThisFile.'&amp;subop=suppbug&amp;id='.$id.'&amp;ok=1">'.adm_bug_trad('OUI').'</a>&nbsp;]</div>';

   }

   closetable();

}
/// FIN SUPPRIMER BUG ///

/// DEBUT SUPPRIMER COM ///
function supppcom($id_bug, $cid, $id_cat, $ok=0)
{

   global $ThisFile;
   global $NPDS_Prefix;

   /*Debut securite*/
   settype($id_bug,"integer");
   settype($cid,"integer");
   settype($id_cat,"integer");
   settype($ok,"integer");
   /*Fin securite*/

   menuprincipal();

   opentable();

   if ($ok == 1)
   {

      $result = "DELETE FROM ".$NPDS_Prefix."bug_com WHERE id = '$cid'";
      $succes = sql_query($result) or die ("erreur : ".sql_error());

      echo '<div class="cadre_admin" align="center"><span class="text_rouge">'.adm_bug_trad('Le commentaire est effac&eacute;.').'</span><br /><br />[&nbsp;<a href="'.$ThisFile.'&amp;subop=editbug&amp;id='.$id_bug.'&amp;id_cat='.$id_cat.'">'.adm_bug_trad('Retour aux bugs').'</a>&nbsp;]</div>';

   }
   else
   {

      echo '<div class="cadre_admin" align="center"><span class="text_rouge">'.adm_bug_trad('Voulez-vous vraiment supprimer ce commentaire ?').'</span><br /><br />'
      .'[&nbsp;<a href="'.$ThisFile.'&amp;subop=editbug&amp;id='.$id_bug.'&amp;id_cat='.$id_cat.'">'.adm_bug_trad('NON').'</a>&nbsp;|&nbsp;<a href="'.$ThisFile.'&amp;subop=supppcom&amp;id='.$id_bug.'&amp;cid='.$cid.'&amp;id_cat='.$id_cat.'&amp;ok=1">'.adm_bug_trad('OUI').'</a>&nbsp;]</div>';

   }

   closetable();

}
/// FIN SUPPRIMER COM ///

///////////////
/// FIN BUG ///
///////////////

/////////////////////
/// DEBUT NIVEAUX ///
/////////////////////

/// DEBUT AJOUTER-SUPPRIMER-EDITER NIVEAUX ///
function niveaux()
{

   global $ModPath, $NPDS_Prefix;
   global $ThisFile;

   menuprincipal();

   opentable();

   /*Debut statut*/
   echo '<div class="cadre_admin">'
   .'<table width="98%" cellpadding="2" cellspacing="2" align="center" border="0">'
   .'<tr align="center">'
   .'<form action="'.$ThisFile.'" method="post" name="adminForm">'
   .'<td class="sous_titre_module" colspan="2">'.adm_bug_trad('Ajouter un statut').'</td>'
   .'</tr>'

   .'<tr>'
   .'<td align="center" width="20%" class="sous_titre_module">'.adm_bug_trad('Titre').'</td>'
   .'<td class="titre_admin" width="80%">&nbsp;&nbsp;<input type="text" name="titre_stat" size="40" /></td>'
   .'</tr>'

   .'<tr>'
   .'<td align="center" class="sous_titre_module">'.adm_bug_trad('Couleur').'</td>'
   .'<td class="titre_admin">&nbsp;&nbsp;<input type="text" name="coul_stat" size="7" /></td>'
   .'</tr>'

   .'<tr class="sous_titre_module" align="center">'
   .'<td colspan="2">'
   .'<input type="hidden" name="subop" value="statcreer" />'
   .'<input type="submit" class="adm_bouton" value="'.adm_bug_trad('Valider').'" />'
   .'</td>'
   .'</tr>'
   .'</form>'
   .'</table><br />'

   .'<div align="center">'.adm_bug_trad('L\'id 1 et 2 ne peuvent pas &ecirc;tre supprimer').'</div><br />'

   .'<table width="95%" cellpadding="2" cellspacing="2" align="center" border="0">'
   .'<tr align="center">'
   .'<td class="sous_titre_module" colspan="5">'.adm_bug_trad('Modifier - Supprimer un statut').'</td>'
   .'</tr>'

   .'<tr class="sous_titre_module" align="center">'
   .'<td width="10%">'.adm_bug_trad('ID').'</td>'
   .'<td width="50%">'.adm_bug_trad('Titre').'</td>'
   .'<td width="20%">'.adm_bug_trad('Couleur').'</td>'
   .'<td width="10%">'.adm_bug_trad('Editer').'</td>'
   .'<td width="10%">'.adm_bug_trad('Supprimer').'</td>'
   .'</tr>';

   /*Requete liste statut*/
   $query = sql_query("SELECT * FROM ".$NPDS_Prefix."bug_statut ORDER BY id_stat ASC");
   while (list($id_stat, $snom, $coul_stat) = sql_fetch_row($query))
   {

      $snom = stripslashes(aff_langue($snom));

      echo '<tr class="titre_admin">'
      .'<td align="center">'.$id_stat.'</td>'
      .'<td style="color:#'.$coul_stat.'">&nbsp;&nbsp;&nbsp;'.$snom.'</td>'
      .'<td>&nbsp;&nbsp;&nbsp;'.$coul_stat.'</td>'
      .'<td align="center"><a href="'.$ThisFile.'&amp;subop=editstat&amp;id_stat='.$id_stat.'"><img src="modules/'.$ModPath.'/images/editer.gif" border="0" /></a></td>';

      if($id_stat == 1 OR $id_stat == 2)
      {

         echo '<td align="center">...</td>';

      }
      else
      {

         echo '<td align="center"><a href="'.$ThisFile.'&amp;subop=supprimstat&amp;id_stat='.$id_stat.'"><img src="modules/'.$ModPath.'/images/delete.gif" border="0" /></a></td>';

      }

      echo '</tr>';

   }

   echo '</table><br />'
   .'</div><br />';
   /*Fin statut*/

   /*Debut importance*/
   echo '<div class="cadre_admin">'
   .'<table width="98%" cellpadding="2" cellspacing="2" align="center" border="0">'
   .'<tr align="center">'
   .'<form action="'.$ThisFile.'" method="post" name="adminForm">'
   .'<td class="sous_titre_module" colspan="2">'.adm_bug_trad('Ajouter une importance').'</td>'
   .'</tr>'

   .'<tr>'
   .'<td align="center" width="20%" class="sous_titre_module">'.adm_bug_trad('Titre').'</td>'
   .'<td class="titre_admin" width="80%">&nbsp;&nbsp;<input type="text" name="titre_imp" size="40" /></td>'
   .'</tr>'

   .'<tr>'
   .'<td align="center" class="sous_titre_module">'.adm_bug_trad('Couleur').'</td>'
   .'<td class="titre_admin">&nbsp;&nbsp;<input type="text" name="coul_imp" size="7" /></td>'
   .'</tr>'

   .'<tr class="sous_titre_module" align="center">'
   .'<td colspan="2">'
   .'<input type="hidden" name="subop" value="impcreer" />'
   .'<input type="submit" class="adm_bouton" value="'.adm_bug_trad('Valider').'" />'
   .'</td>'
   .'</tr>'

   .'</form>'
   .'</table><br />'

   .'<table width="95%" cellpadding="2" cellspacing="2" align="center" border="0">'
   .'<tr align="center">'
   .'<td class="sous_titre_module" colspan="5">'.adm_bug_trad('Modifier - Supprimer une importance').'</td>'
   .'</tr>'

   .'<tr class="sous_titre_module" align="center">'
   .'<td width="10%">'.adm_bug_trad('ID').'</td>'
   .'<td width="50%">'.adm_bug_trad('Titre').'</td>'
   .'<td width="20%">'.adm_bug_trad('Couleur').'</td>'
   .'<td width="10%">'.adm_bug_trad('Editer').'</td>'
   .'<td width="10%">'.adm_bug_trad('Supprimer').'</td>'
   .'</tr>';

   /*Requete liste categorie avec pagination*/
   $query = sql_query("SELECT * FROM ".$NPDS_Prefix."bug_imp ORDER BY id_imp ASC");
   while (list($id_imp, $inom, $coul_imp) = sql_fetch_row($query))
   {

      $inom = stripslashes(aff_langue($inom));

      echo '<tr class="titre_admin">'
      .'<td align="center">'.$id_imp.'</td>'
      .'<td style="color:#'.$coul_imp.'">&nbsp;&nbsp;&nbsp;'.$inom.'</td>'
      .'<td>&nbsp;&nbsp;&nbsp;'.$coul_imp.'</td>'
      .'<td align="center"><a href="'.$ThisFile.'&amp;subop=editimp&amp;id_imp='.$id_imp.'"><img src="modules/'.$ModPath.'/images/editer.gif" border="0" /></a></td>'
      .'<td align="center"><a href="'.$ThisFile.'&amp;subop=supprimimp&amp;id_imp='.$id_imp.'"><img src="modules/'.$ModPath.'/images/delete.gif" border="0" /></a></td>'
      .'</tr>';

   }

   echo '</table><br />'
   .'</div>';
   /*Fin importance*/

   closetable();

}
/// FIN AJOUTER-SUPPRIMER-EDITER NIVEAUX ///

/// DEBUT CREER STATUT ///
function statcreer($titre_stat, $coul_stat)
{

   global $NPDS_Prefix;
   global $ThisRedo;

   /*Debut securite*/
   $titre_stat = removeHack(addslashes($titre_stat));
   $coul_stat = removeHack(addslashes($coul_stat));
   /*Fin securite*/

   menuprincipal();

   opentable();

   if ($titre_stat == '' || $coul_stat == '')
   {

      echo '<div class="cadre_admin" align="center"><span class="text_rouge">'.adm_bug_trad('Vous n\'avez pas introduit de statut ou de couleur').'</span>'
      .'<br /><a href="javascript:history.go(-1)">'.adm_bug_trad('Retour').'</a></div>';

   }
   else
   {

      /*Verifie si existe deja*/
      $un = sql_num_rows(sql_query("SELECT id_stat FROM ".$NPDS_Prefix."bug_statut WHERE snom = '$titre_stat'"));
      if ($un == '0')
      {

         $update = "INSERT INTO bug_statut VALUES ('', '$titre_stat', '$coul_stat')";
         sql_query($update) or die(sql_error());
         if ($update) redirect_url (''.$ThisRedo.'&subop=niveaux');

      }
      else
      {

         echo '<div class="cadre_admin" align="center"><span class="text_rouge">'.adm_bug_trad('Le statut est d&eacute;j&agrave; dans la base !').'</span>'
         .'<br /><a href="javascript:history.go(-1)">'.adm_bug_trad('Retour').'</a></div>';

      }

   }

   closetable();

}
/// FIN CREER STATUT ///

/// DEBUT EDITER STATUT ///
function editstat($id_stat)
{

   global $ModPath, $NPDS_Prefix;
   global $ThisFile;

   /*Debut securite*/
   settype($id_stat,"integer");
   /*Fin securite*/

   include('modules/'.$ModPath.'/admin/config.php');

   menuprincipal();

   opentable();

   echo '<div class="cadre_admin">'
   .'<table width="90%" cellpadding="2" cellspacing="2" align="center" border="0">'
   .'<form action="'.$ThisFile.'" method="post" name="adminForm">'
   .'<tr align="center">'
   .'<td class="sous_titre_module" colspan="3">'.adm_bug_trad('Statut &agrave; modifier').'</td>'
   .'</tr>'

   .'<tr class="sous_titre_module" align="center">'
   .'<td width="55%">'.adm_bug_trad('Titre').'</td>'
   .'<td width="30%">'.adm_bug_trad('Couleur').'</td>'
   .'<td width="15%">'.adm_bug_trad('Valider').'</td>'
   .'</tr>';

   /*Requete affiche categorie suivant $id_stat*/
   $query = sql_query("SELECT snom, coul_stat FROM ".$NPDS_Prefix."bug_statut WHERE id_stat = '$id_stat'");
   list($snom, $coul_stat) = sql_fetch_row($query);

   $snom = stripslashes($snom);

   echo '<input type="hidden" name="id_stat" value="'.$id_stat.'" />'
   .'<tr class="titre_admin" align="center">'
   .'<td>&nbsp;&nbsp;<input type="text" name="Ntitre_stat" size="40" value="'.$snom.'" /></td>'
   .'<td>&nbsp;&nbsp;<input type="text" name="Ncoul_stat" size="7" value="'.$coul_stat.'" /></td>'
   .'<td>'
   .'<input type="hidden" name="subop" value="changetitrestat" />'
   .'<input type="submit" class="adm_bouton" value="'.adm_bug_trad('mettre &agrave; jour').'" />'
   .'</td>'
   .'</tr>'
   .'</form>'
   .'</table>'
   .'</div>';

   closetable();

}
/// FIN EDITER STATUT ///

/// DEBUT VALIDER EDITER STATUT ///
function changetitrestat($id_stat, $Ntitre_stat, $Ncoul_stat)
{

   global $NPDS_Prefix;
   global $ThisRedo;

   /*Debut securite*/
   settype($id_stat,"integer");
   $Ntitre_stat = removeHack(addslashes($Ntitre_stat));
   $Ncoul_stat = removeHack(addslashes($Ncoul_stat));
   /*Fin securite*/

   menuprincipal();

   opentable();

   if ($Ntitre_stat == '' || $Ncoul_stat == '')
   {

      echo '<div class="cadre_admin" align="center"><span class="text_rouge">'.adm_bug_trad('Vous n\'avez pas introduit de statut ou de couleur').'</span>'
      .'<br /><a href="javascript:history.go(-1)">'.adm_bug_trad('Retour').'</a></div>';

   }
   else
   {

      $query = "UPDATE ".$NPDS_Prefix."bug_statut SET snom = '$Ntitre_stat', coul_stat = '$Ncoul_stat' WHERE id_stat = '$id_stat'";
      $succes = sql_query($query);
      if ($succes) redirect_url(''.$ThisRedo.'&subop=niveaux');

   }

   closetable();

}
/// FIN VALIDER EDITER STATUT ///

/// DEBUT SUPPRIMER STATUT ///
function supprimstat($id_stat, $ok=0)
{

   global $NPDS_Prefix;
   global $ThisFile;

   /*Debut securite*/
   settype($id_stat,"integer");
   settype($ok,"integer");
   /*Fin securite*/

   menuprincipal();

   opentable();

   if ($ok == 1)
   {

      $result = "DELETE FROM ".$NPDS_Prefix."bug_statut WHERE id_stat = '$id_stat'";
      $succes = sql_query($result) or die ("erreur : ".sql_error());

      echo '<div class="cadre_admin" align="center"><span class="text_rouge">'.adm_bug_trad('Le statut est effac&eacute;').'.</span><br /><br />[&nbsp;<a href="'.$ThisFile.'&amp;subop=niveaux">'.adm_bug_trad('Retour aux niveaux').'</a>&nbsp;]</div>';

   }
   else
   {


      if($id_stat == 1 OR $id_stat == 2)
      {

         echo '<div class="cadre_admin" align="center"><span class="text_rouge">'.adm_bug_trad('L\'id 1 et 2 ne peuvent pas &ecirc;tre supprimer').'</span></div>';

      }
      else
      {

         echo '<div class="cadre_admin" align="center"><span class="text_rouge">'.adm_bug_trad('Voulez-vous vraiment supprimer ce statut ?').'</span><br /><br />'
         .'[&nbsp;<a href="'.$ThisFile.'&amp;subop=niveaux">'.adm_bug_trad('NON').'</a>&nbsp;|&nbsp;<a href="'.$ThisFile.'&amp;subop=supprimstat&amp;id_stat='.$id_stat.'&amp;ok=1">'.adm_bug_trad('OUI').'</a>&nbsp;]</div>';

      }

   }

   closetable();

}
/// FIN SUPPRIMER STATUT ///

/// DEBUT CREER IMPORTANCE ///
function impcreer($titre_imp, $coul_imp)
{

   global $NPDS_Prefix;
   global $ThisRedo;

   /*Debut securite*/
   $titre_imp = removeHack(addslashes($titre_imp));
   $coul_imp = removeHack(addslashes($coul_imp));
   /*Fin securite*/

   menuprincipal();

   opentable();

   if ($titre_imp == '' || $coul_imp == '')
   {

      echo '<div class="cadre_admin" align="center"><span class="text_rouge">'.adm_bug_trad('Vous n\'avez pas introduit d\'importance ou de couleur').'</span>'
      .'<br /><a href="javascript:history.go(-1)">'.adm_bug_trad('Retour').'</a></div>';

   }
   else
   {

      /*Verifie si existe deja*/
      $un = sql_num_rows(sql_query("SELECT id_imp FROM ".$NPDS_Prefix."bug_imp WHERE inom = '$titre_imp'"));
      if ($un == '0')
      {

         $update = "INSERT INTO bug_imp VALUES ('', '$titre_imp', '$coul_imp')";
         sql_query($update) or die(sql_error());
         if ($update) redirect_url (''.$ThisRedo.'&subop=niveaux');

      }
      else
      {

         echo '<div class="cadre_admin" align="center"><span class="text_rouge">'.adm_bug_trad('L\'importance est d&eacute;j&agrave; dans la base !').'</span>'
         .'<br /><a href="javascript:history.go(-1)">'.adm_bug_trad('Retour').'</a></div>';

      }

   }

   closetable();

}
/// FIN CREER IMPORTANCE ///

/// DEBUT EDITER IMPORTANCE ///
function editimp($id_imp)
{

   global $ModPath, $NPDS_Prefix;
   global $ThisFile;

   /*Debut securite*/
   settype($id_imp,"integer");
   /*Fin securite*/

   include('modules/'.$ModPath.'/admin/config.php');

   menuprincipal();

   opentable();

   echo '<div class="cadre_admin">'
   .'<table width="90%" cellpadding="2" cellspacing="2" align="center" border="0">'
   .'<form action="'.$ThisFile.'" method="post" name="adminForm">'
   .'<tr align="center">'
   .'<td class="sous_titre_module" colspan="3">'.adm_bug_trad('Importance &agrave; modifier').'</td>'
   .'</tr>'

   .'<tr class="sous_titre_module" align="center">'
   .'<td width="55%">'.adm_bug_trad('Titre').'</td>'
   .'<td width="30%">'.adm_bug_trad('Couleur').'</td>'
   .'<td width="15%">'.adm_bug_trad('Valider').'</td>'
   .'</tr>';

   /*Requete affiche categorie suivant $id_stat*/
   $query = sql_query("SELECT inom, coul_imp FROM ".$NPDS_Prefix."bug_imp WHERE id_imp = '$id_imp'");
   list($inom, $coul_imp) = sql_fetch_row($query);

   $inom = stripslashes($inom);

   echo '<input type="hidden" name="id_imp" value="'.$id_imp.'" />'
   .'<tr class="titre_admin" align="center">'
   .'<td>&nbsp;&nbsp;<input type="text" name="Ntitre_imp" size="40" value="'.$inom.'" /></td>'
   .'<td>&nbsp;&nbsp;<input type="text" name="Ncoul_imp" size="7" value="'.$coul_imp.'" /></td>'
   .'<td>'
   .'<input type="hidden" name="subop" value="changetitreimp" />'
   .'<input type="submit" class="adm_bouton" value="'.adm_bug_trad('mettre &agrave; jour').'" />'
   .'</td>'
   .'</tr>'
   .'</form>'
   .'</table>'
   .'</div>';

   closetable();

}
/// FIN EDITER IMPORTANCE ///

/// DEBUT VALIDER EDITER IMPORTANCE ///
function changetitreimp($id_imp, $Ntitre_imp, $Ncoul_imp)
{

   global $NPDS_Prefix;
   global $ThisRedo;

   /*Debut securite*/
   settype($id_imp,"integer");
   $Ntitre_imp = removeHack(addslashes($Ntitre_imp));
   $Ncoul_imp = removeHack(addslashes($Ncoul_imp));
   /*Fin securite*/

   menuprincipal();

   opentable();

   if ($Ntitre_imp == '' || $Ncoul_imp == '')
   {

      echo '<div class="cadre_admin" align="center"><span class="text_rouge">'.adm_bug_trad('Vous n\'avez pas introduit d\importance ou de couleur').'</span>'
      .'<br /><a href="javascript:history.go(-1)">'.adm_bug_trad('Retour').'</a></div>';

   }
   else
   {

      $query = "UPDATE ".$NPDS_Prefix."bug_imp SET inom = '$Ntitre_imp', coul_imp = '$Ncoul_imp' WHERE id_imp = '$id_imp'";
      $succes = sql_query($query);
      if ($succes) redirect_url(''.$ThisRedo.'&subop=niveaux');

   }

   closetable();

}
/// FIN VALIDER EDITER IMPORTANCE ///

/// DEBUT SUPPRIMER IMPORTANCE ///
function supprimimp($id_imp, $ok=0)
{

   global $NPDS_Prefix;
   global $ThisFile;

   /*Debut securite*/
   settype($id_imp,"integer");
   settype($ok,"integer");
   /*Fin securite*/

   menuprincipal();

   opentable();

   if ($ok == 1)
   {

      $result = "DELETE FROM ".$NPDS_Prefix."bug_imp WHERE id_imp = '$id_imp'";
      $succes = sql_query($result) or die ("erreur : ".sql_error());

      echo '<div class="cadre_admin" align="center"><span class="text_rouge">'.adm_bug_trad('L\'importance est effac&eacute;e.').'</span><br /><br />[&nbsp;<a href="'.$ThisFile.'&amp;subop=niveaux">'.adm_bug_trad('Retour aux niveaux').'</a>&nbsp;]</div>';

   }
   else
   {

      echo '<div class="cadre_admin" align="center"><span class="text_rouge">'.adm_bug_trad('Voulez-vous vraiment supprimer cette importance ?').'</span><br /><br />'
      .'[&nbsp;<a href="'.$ThisFile.'&amp;subop=niveaux">'.adm_bug_trad('NON').'</a>&nbsp;|&nbsp;<a href="'.$ThisFile.'&amp;subop=supprimimp&amp;id_imp='.$id_imp.'&amp;ok=1">'.adm_bug_trad('OUI').'</a>&nbsp;]</div>';

   }

   closetable();

}
/// FIN SUPPRIMER IMPORTANCE ///

///////////////////
/// FIN NIVEAUX ///
///////////////////

///////////////////////
/// DEBUT CATEGORIE ///
///////////////////////

/// DEBUT AJOUTER-SUPPRIMER-EDITER CATEGORIE ///
function modifcate()
{

   global $ModPath, $NPDS_Prefix;
   global $ThisFile, $page;

   include('modules/'.$ModPath.'/admin/config.php');
   require_once('modules/'.$ModPath.'/pag_fonc.php');

   menuprincipal();

   opentable();

   if($chap == '1')
   {

      $sta = '<span style="color:#009900;">'.adm_bug_trad('Activ&eacute;').'</span>';

   }
   else
   {

      $sta = '<span style="color:#ff0000;">'.adm_bug_trad('D&eacute;sactiv&eacute;').'</span>';

   }

   echo '<div class="cadre_admin">'

   /*Chapitre*/
   .'<div class="titre_admin" align="center">'.adm_bug_trad('Chap&icirc;tre').'</div><br />'
   .'<div align="center">'.adm_bug_trad('Les chap&icirc;tres sont optionnels et activables dans configuration ; ils permettent de regrouper plusieurs cat&eacute;gories').'.<br />'.adm_bug_trad('Actuellement').'&nbsp;:&nbsp;'.$sta.'</div><br />'

   /*Categorie*/
   .'<div class="titre_admin" align="center">'.adm_bug_trad('Cat&eacute;gorie').'</div><br />'
   .'<table width="98%" cellpadding="2" cellspacing="2" align="center" border="0">'
   .'<form action="'.$ThisFile.'" method="post" name="adminForm">'
   .'<tr align="center">'
   .'<td class="sous_titre_module" colspan="2">'.adm_bug_trad('Ajouter une cat&eacute;gorie').'</td>'
   .'</tr>';

   if($chap == '1')
   {

      echo '<tr>'
      .'<td align="center" width="20%" class="sous_titre_module">'.adm_bug_trad('Chap&icirc;tre').'</td>'
      .'<td class="titre_admin" width="80%">&nbsp;&nbsp;<input type="text" name="chapitre" size="20" />&nbsp;&nbsp;&nbsp;'
      .'<select name="chapitre1">'
      .'<option></option>';

      /*Requete affiche chapitre*/
      $query = sql_query("SELECT id_dos, dostitre FROM ".$NPDS_Prefix."bug_dos ORDER BY dostitre");
      while(list($id_dos, $dostitre) = sql_fetch_row($query))
      {

         $dostitre = stripslashes(aff_langue($dostitre));

         echo '<option value="'.$id_dos.'">'.$dostitre.'</option>';

      }

      echo '</select>'
      .'&nbsp;&nbsp;&nbsp;<a href="'.$ThisFile.'&amp;subop=editchap">['.adm_bug_trad('Edition').']</a>'
      .'</td>'
      .'</tr>';

   }

   echo '<tr>'
   .'<td align="center" class="sous_titre_module">'.adm_bug_trad('Titre').'</td>'
   .'<td class="titre_admin">&nbsp;&nbsp;<textarea class="textarea" cols="80" rows="2" name="titre"></textarea></td>'
   .'</tr>'

   .'<tr>'
   .'<td align="center" width="20%" class="sous_titre_module">'.adm_bug_trad('Nom du dossier').'</td>'
   .'<td class="titre_admin" width="80%">&nbsp;&nbsp;<input name="dossier" size="20" /></td>'
   .'</tr>'

   .'<tr>'
   .'<td align="center" width="20%" class="sous_titre_module">'.adm_bug_trad('Version').'</td>'
   .'<td class="titre_admin" width="80%">&nbsp;&nbsp;<input type="text" name="version" size="5" /></td>'
   .'</tr>'

   .'<tr>'
   .'<td align="center" class="sous_titre_module">'.adm_bug_trad('Chef d\'&eacute;quipe').'</td>'
   .'<td class="titre_admin">&nbsp;&nbsp;'
   .'<select name="chef">'
   .'<option></option>';

   /*Requete liste membre suivant groupe*/
   if ($cor == '1'){$rech = "";}else{$rech = "FIND_IN_SET($cor, us.groupe) <> 0 AND ";}

   /*Requete liste membre*/
   $res = sql_query("SELECT 
         ut.uname 
      FROM 
         ".$NPDS_Prefix."users_status us, 
         ".$NPDS_Prefix."users ut 
      WHERE 
         $rech 
         us.uid = ut.uid 
      GROUP BY us.uid 
      ORDER BY ut.uname ASC");
   while(list($uname) = sql_fetch_row($res))
   {

      echo '<option value="'.$uname.'">'.$uname.'</option>';

   }

   echo '</select>'
   .'</td>'
   .'</tr>'

   .'<tr class="sous_titre_module" align="center">'
   .'<td colspan="2">'
   .'<input type="hidden" name="subop" value="catcreer" />'
   .'<input type="submit" class="adm_bouton" value="'.adm_bug_trad('Valider').'" />'
   .'</td>'
   .'</tr>'

   .'</form>'
   .'</table><br />'

   .'<table width="98%" cellpadding="2" cellspacing="2" align="center" border="0">'
   .'<tr align="center">'
   .'<td class="sous_titre_module" colspan="5">'.adm_bug_trad('Modifier - Supprimer une cat&eacute;gorie').'</td>'
   .'</tr>'

   .'<tr class="sous_titre_module" align="center">'
   .'<td width="50%">'.adm_bug_trad('Cat&eacute;gorie').'</td>'
   .'<td width="15%">'.adm_bug_trad('Chef').'</td>'
   .'<td width="15%">'.adm_bug_trad('Statut').'</td>'
   .'<td width="10%">'.adm_bug_trad('Editer').'</td>'
   .'<td width="10%">'.adm_bug_trad('Supprimer').'</td>'
   .'</tr>';

   /*Total pour la naviguation*/
   $nb_entrees = sql_num_rows(sql_query("SELECT * FROM ".$NPDS_Prefix."bug_cate"));

   /*Pour la naviguation*/
   $total_pages = ceil($nb_entrees/$nb_admin);

   if($page == 1)
   {

      $page_courante = 1;

   }
   else
   {

      if ($page < 1)
         $page_courante = 1;
      elseif ($page > $total_pages)
         $page_courante = $total_pages;
      else
         $page_courante = $page;

   }

   $start = ($page_courante * $nb_admin - $nb_admin);

   /*Requete liste categorie avec pagination*/
   $query = sql_query("SELECT id_cat, titre, cat_ligne, chef FROM ".$NPDS_Prefix."bug_cate ORDER BY titre ASC LIMIT $start,$nb_admin");
   while (list($id_cat, $titre, $cat_ligne, $chef) = sql_fetch_row($query))
   {

      $titre = stripslashes(aff_langue($titre));

      echo '<tr class="titre_admin">'
      .'<td>&nbsp;&nbsp;&nbsp;'.$titre.'</td>'
      .'<td>&nbsp;&nbsp;&nbsp;'.$chef.'</td>'
      .'<td align="center">';

      if ($cat_ligne == 1)
      {

         echo '<font color="#009900">'.adm_bug_trad('En Ligne').'</font>';

      }
      else if ($cat_ligne == 0)
      {

         echo '<font color="#FF0000">'.adm_bug_trad('Hors Ligne').'</font>';

      }

      echo '</td>'
      .'<td align="center"><a href="'.$ThisFile.'&amp;subop=editcategorie&amp;id_cat='.$id_cat.'"><img src="modules/'.$ModPath.'/images/editer.gif" border="0" /></a></td>'
      .'<td align="center"><a href="'.$ThisFile.'&amp;subop=supprimcate&amp;id_cat='.$id_cat.'"><img src="modules/'.$ModPath.'/images/delete.gif" border="0" /></a></td>'
      .'</tr>';

   }

   echo '</table><br />';

   /*Affiche pagination*/
   echo bug_pag($total_pages,$page_courante,'2',''.$ThisFile.'&amp;subop=modifcate','_admin');

   echo '</div>';

   closetable();

}
/// FIN AJOUTER-SUPPRIMER-EDITER CATEGORIE ///

/// DEBUT CREER CATEGORIE ///
function catcreer($chapitre, $chapitre1, $titre, $dossier, $version, $chef)
{

   global $ModPath, $NPDS_Prefix;
   global $ThisRedo;

   /*Debut securite*/
   settype($chapitre1,"integer");
   $dossier = removeHack($dossier);
   $chapitre = removeHack(addslashes($chapitre));
   $version = removeHack(addslashes($version));
   $titre = removeHack(addslashes($titre));
   $chef = removeHack(addslashes($chef));
   /*Fin securite*/

   include('modules/'.$ModPath.'/admin/config.php');

   menuprincipal();

   opentable();

   if ($titre == '' || $chef == '' || $dossier == '')
   {

      echo '<div class="cadre_admin" align="center"><span class="text_rouge">'.adm_bug_trad('Vous n\'avez pas introduit de cat&eacute;gorie ou de chef ou de nom de dossier').'</span>'
      .'<br /><a href="javascript:history.go(-1)">'.adm_bug_trad('Retour').'</a></div>';

   }
   else
   {

      /*Si chapitre*/
      if($chap == '1')
      {

         if($chapitre)
         {

            /*Verifie si existe deja*/
            $un = sql_num_rows(sql_query("SELECT id_dos FROM ".$NPDS_Prefix."bug_dos WHERE dostitre = '$chapitre'"));
            if ($un == '0')
            {

               $update = "INSERT INTO bug_dos VALUES ('', '$chapitre')";
               sql_query($update) or die(sql_error());

            }

            $query = sql_query("SELECT id_dos FROM ".$NPDS_Prefix."bug_dos ORDER BY id_dos DESC LIMIT 1");
            list($id_dos) = sql_fetch_row($query);

            $new = $id_dos;

         }
         else if($chapitre1 != '0')
         {

            $query = sql_query("SELECT id_dos FROM ".$NPDS_Prefix."bug_dos WHERE id_dos = '$chapitre1'");
            list($id_dos) = sql_fetch_row($query);

            $new = $id_dos;

         }

      }

      if(!$new){$new = '0';}

      /*Verifie si existe deja*/
      $un = sql_num_rows(sql_query("SELECT id_cat FROM ".$NPDS_Prefix."bug_cate WHERE titre = '$titre'"));
      if ($un == '0')
      {

         $update = "INSERT INTO bug_cate VALUES ('', '$titre', '1', '$chef', '$dossier', '$new')";
         sql_query($update) or die(sql_error());

         creadossier($dossier);

         $query = sql_query("SELECT id_cat FROM ".$NPDS_Prefix."bug_cate ORDER BY id_cat DESC LIMIT 1");
         list($id_cat) = sql_fetch_row($query);

         $update1 = "INSERT INTO bug_vers VALUES ('', '$id_cat', '$version', '0')";
         sql_query($update1) or die(sql_error());

         if ($update1) redirect_url (''.$ThisRedo.'&subop=modifcate');

      }
      else
      {

         echo '<div class="cadre_admin" align="center"><span class="text_rouge">'.adm_bug_trad('La cat&eacute;gorie est d&eacute;j&agrave; dans la base !').'</span>'
         .'<br /><a href="javascript:history.go(-1)">'.adm_bug_trad('Retour').'</a></div>';

      }

   }

   closetable();

}
/// FIN CREER CATEGORIE ///

/// DEBUT EDITER CATEGORIE ///
function editcategorie($id_cat)
{

   global $ModPath, $NPDS_Prefix;
   global $ThisFile, $page, $chap;

   /*Debut securite*/
   settype($id_cat,"integer");
   /*Fin securite*/

   include('modules/'.$ModPath.'/admin/config.php');

   menuprincipal();

   opentable();

   /*Requete affiche categorie suivant $id_cat*/
   $query = sql_query("SELECT titre, cat_ligne, chef, dossier, id_dos FROM ".$NPDS_Prefix."bug_cate WHERE id_cat = '$id_cat'");
   list($titre, $cat_ligne, $chef, $dossier, $id_dos) = sql_fetch_row($query);

   $titre = stripslashes($titre);

   echo '<div class="cadre_admin">'
   .'<table width="98%" cellpadding="2" cellspacing="2" align="center" border="0">'
   .'<form action="'.$ThisFile.'" method="post" name="adminForm">'
   .'<input type="hidden" name="id_cat" value="'.$id_cat.'" />'
   .'<tr align="center">'
   .'<td class="sous_titre_module" colspan="2">'.adm_bug_trad('Cat&eacute;gorie &agrave; modifier').'</td>'
   .'</tr>';

   if($chap == '1')
   {

      echo '<tr>'
      .'<td width="20%" class="sous_titre_module">&nbsp;'.adm_bug_trad('Chap&icirc;tre').'</td>'
      .'<td class="titre_admin" width="80%">&nbsp;<input type="text" name="chapitre" size="20" />&nbsp;&nbsp;&nbsp;'
      .'<select name="chapitre1">'
      .'<option></option>';

      /*Requete affiche chapitre*/
      $query = sql_query("SELECT id_dos, dostitre FROM ".$NPDS_Prefix."bug_dos ORDER BY dostitre ASC");
      while(list($sid_dos, $dostitre) = sql_fetch_row($query))
      {

         $dostitre = stripslashes(aff_langue($dostitre));

         echo '<option value="'.$sid_dos.'"';
         if($sid_dos == $id_dos)
         echo ' selected=\'selected\'';
         echo '">'.$dostitre.'</option>';

      }

      echo '</select>'
      .'</td>'
      .'</tr>';

   }

   echo '<tr>'
   .'<td class="sous_titre_module" width="20%">&nbsp;'.adm_bug_trad('Titre').'</td>'
   .'<td class="titre_admin" width="80%">&nbsp;<textarea class="textarea" cols="80" rows="2" name="newtitre">'.$titre.'</textarea></td>'
   .'</tr>'

   .'<tr>'
   .'<td class="sous_titre_module" width="20%">&nbsp;'.adm_bug_trad('Nom du dossier').'</td>'
   .'<td class="titre_admin" width="80%">&nbsp;<input type="text" name="newdossier" size="20" value="'.$dossier.'" /></td>'
   .'</tr>'

   .'<tr>'
   .'<td class="sous_titre_module">&nbsp;'.adm_bug_trad('Chef').'</td>'
   .'<td class="titre_admin">&nbsp;'
   .'<select name="newchef" value="'.$uname.'">'
   .'<option></option>';

   /*Requete liste membre suivant groupe*/
   if ($cor == '1'){$rech = "";}else{$rech = "FIND_IN_SET($cor, us.groupe) <> 0 AND ";}

   /*Requete liste membre*/
   $res = sql_query("SELECT 
         ut.uname 
      FROM 
         ".$NPDS_Prefix."users_status us, 
         ".$NPDS_Prefix."users ut 
      WHERE 
         $rech 
         us.uid = ut.uid 
      GROUP BY us.uid 
      ORDER BY ut.uname ASC");
   while($categorie = sql_fetch_assoc($res))
   {

      echo '<option value=\''.$categorie['uname'].'\'';
      if($categorie['uname'] == $chef)
      echo ' selected=\'selected\'';
      echo '">'.$categorie['uname'].'</option>';

   }

   echo '</select>'
   .'<td>'
   .'</tr>'

   .'<tr>'
   .'<td class="sous_titre_module">&nbsp;'.adm_bug_trad('Etat').'</td>'
   .'<td class="titre_admin">&nbsp;';

   if($cat_ligne == 1)
   {

      $onligne = "selected=\"selected\"";

   }
   else if($cat_ligne == 0)
   {

      $offligne = "selected=\"selected\"";

   }

   echo '<select name="newcat_ligne" value="'.$cat_ligne.'">'
   .'<option value="1" '.$onligne.'>'.adm_bug_trad('En Ligne').'</option>'
   .'<option value="0" '.$offligne.'>'.adm_bug_trad('Hors Ligne').'</option>'
   .'</select>'
   .'</td>'
   .'</tr>'

   .'<tr class="sous_titre_module">'
   .'<td colspan="2" align="center">'
   .'<input type="hidden" name="subop" value="changetitre" />'
   .'<input type="submit" class="adm_bouton" value="'.adm_bug_trad('mettre &agrave; jour').'" />'
   .'</td>'
   .'</tr>'
   .'</form>'
   .'</table><br />'

   .'<table width="98%" cellpadding="2" cellspacing="2" align="center" border="0">'
   .'<form action="'.$ThisFile.'" method="post" name="adminForm">'
   .'<input type="hidden" name="id_cat" value="'.$id_cat.'" />'
   .'<tr align="center">'
   .'<td class="sous_titre_module" colspan="3">'.adm_bug_trad('Cr&eacute;er - modifier les versions').'</td>'
   .'</tr>'

   .'<tr>'
   .'<td width="20%" class="sous_titre_module" align="center">'.adm_bug_trad('Cr&eacute;er').'</td>'
   .'<td width="60%" class="titre_admin"><input type="text" name="version" size="20" /></td>'
   .'<td width="20%" class="sous_titre_module" align="center">'
   .'<input type="hidden" name="subop" value="creversion" />'
   .'<input type="submit" class="adm_bouton" value="'.adm_bug_trad('Valider').'" />'
   .'</td>'
   .'</tr>'
   .'</form>';

   /*Requete liste version suivant*/
   $res = sql_query("SELECT idv, version, archive FROM ".$NPDS_Prefix."bug_vers WHERE id_cat = '$id_cat' ORDER BY version DESC");
   while(list($idv, $version, $archive) = sql_fetch_row($res))
   {

      if($archive == 0)
      {

         echo '<tr>'
         .'<form action="'.$ThisFile.'" method="post" name="adminForm">'
         .'<td class="sous_titre_module" align="center">'
         .'<input type="hidden" name="id_cat" value="'.$id_cat.'" />'
         .'<input type="hidden" name="idv" value="'.$idv.'" />'
         .'<input type="hidden" name="newversion" value="'.$version.'" />'
         .'<input type="hidden" name="arch" value="1" />'
         .'<input type="hidden" name="subop" value="modifversion" />'
         .'<input type="submit" class="adm_bouton" value="'.adm_bug_trad('Archiver').'" />'
         .'</td>'
         .'</form>'

         .'<form action="'.$ThisFile.'" method="post" name="adminForm">'
         .'<input type="hidden" name="id_cat" value="'.$id_cat.'" />'
         .'<input type="hidden" name="idv" value="'.$idv.'" />'
         .'<input type="hidden" name="arch" value="0" />'
         .'<td class="titre_admin"><input type="text" name="newversion" size="20" value="'.$version.'" /></td>'
         .'<td width="20%" class="sous_titre_module" align="center">'
         .'<input type="hidden" name="subop" value="modifversion" />'
         .'<input type="submit" class="adm_bouton" value="'.adm_bug_trad('mettre &agrave; jour').'" />'
         .'</td>'
         .'</form>'
         .'</tr>';

      }
      else if($archive == 1)
      {

         echo '<tr>'
         .'<form action="'.$ThisFile.'" method="post" name="adminForm">'
         .'<td class="sous_titre_module" align="center">'
         .'<input type="hidden" name="id_cat" value="'.$id_cat.'" />'
         .'<input type="hidden" name="idv" value="'.$idv.'" />'
         .'<input type="hidden" name="newversion" value="'.$version.'" />'
         .'<input type="hidden" name="arch" value="0" />'
         .'<input type="hidden" name="subop" value="modifversion" />'
         .'<input type="submit" class="adm_bouton" value="'.adm_bug_trad('D&eacute;sarchiver').'" />'
         .'</td>'
         .'</form>'

         .'<form action="'.$ThisFile.'" method="post" name="adminForm">'
         .'<input type="hidden" name="id_cat" value="'.$id_cat.'" />'
         .'<input type="hidden" name="idv" value="'.$idv.'" />'
         .'<input type="hidden" name="arch" value="0" />'
         .'<td class="titre_admin">'
         .'<input type="hidden" name="newversion" value="'.$version.'" />'
         .'<input type="text" size="20" disabled="true" value="'.$version.'" />'
         .'</td>'
         .'<td width="20%" class="sous_titre_module" align="center">...</td>'
         .'</form>'
         .'</tr>';

      }

   }

   echo '</table>'
   .'</div>';

   closetable();

}
/// FIN EDITER CATEGORIE ///

/// DEBUT VALIDER EDITER CATEGORIE ///
function changetitre($chapitre, $chapitre1, $id_cat, $newtitre, $newdossier, $newchef, $newcat_ligne)
{

   global $ModPath, $NPDS_Prefix;
   global $ThisRedo;

   /*Debut securite*/
   settype($chapitre1,"integer");
   settype($id_cat,"integer");
   settype($newcat_ligne,"integer");
   $chapitre = removeHack(addslashes($chapitre));
   $newchef = removeHack(addslashes($newchef));
   $newtitre = removeHack(addslashes($newtitre));
   /*Fin securite*/

   include('modules/'.$ModPath.'/admin/config.php');

   menuprincipal();

   opentable();

   if ($newtitre == '' || $newchef == '' || $newdossier == '')
   {

      echo '<div class="cadre_admin" align="center"><span class="text_rouge">'.adm_bug_trad('Vous n\'avez pas introduit de cat&eacute;gorie ou de chef ou de nom de dossier').'</span>'
      .'<br /><a href="javascript:history.go(-1)">'.adm_bug_trad('Retour').'</a></div>';

   }
   else
   {

      /*Si chapitre*/
      if($chap == '1')
      {

         if($chapitre)
         {

            /*Verifie si existe deja*/
            $un = sql_num_rows(sql_query("SELECT id_dos FROM ".$NPDS_Prefix."bug_dos WHERE dostitre = '$chapitre'"));
            if ($un == '0')
            {

               $update = "INSERT INTO bug_dos VALUES ('', '$chapitre')";
               sql_query($update) or die(sql_error());

            }

            $query = sql_query("SELECT id_dos FROM ".$NPDS_Prefix."bug_dos ORDER BY id_dos DESC LIMIT 1");
            list($id_dos) = sql_fetch_row($query);

            $new = $id_dos;

         }
         else if($chapitre1 != '0')
         {

            $query = sql_query("SELECT id_dos FROM ".$NPDS_Prefix."bug_dos WHERE id_dos = '$chapitre1'");
            list($id_dos) = sql_fetch_row($query);

            $new = $id_dos;

         }

      }

      if(!$new){$new = '0';}

      /*Requete affiche ancien nom dossier*/
      $query = sql_query("SELECT dossier FROM ".$NPDS_Prefix."bug_cate WHERE id_cat = '$id_cat'");
      list($dossier) = sql_fetch_row($query);

      if($dossier != $newdossier)
      {

         rename('modules/bug/telechargements/'.$dossier.'', 'modules/bug/telechargements/'.$newdossier.'');

      }

      $query = "UPDATE ".$NPDS_Prefix."bug_cate SET titre = '$newtitre', cat_ligne = '$newcat_ligne', chef = '$newchef', dossier = '$newdossier', id_dos = '$new' WHERE id_cat = '$id_cat'";
      $succes = sql_query($query);

      if ($succes) redirect_url(''.$ThisRedo.'&subop=modifcate');

   }

   closetable();

}
/// FIN VALIDER EDITER CATEGORIE ///

/// DEBUT SUPPRIMER CATEGORIE ///
function supprimcate($id_cat, $ok=0)
{

   global $ModPath, $NPDS_Prefix;
   global $ThisFile;

   /*Debut securite*/
   settype($id_cat,"integer");
   settype($ok,"integer");
   /*Fin securite*/

   menuprincipal();

   opentable();

   if ($ok == 1)
   {

      /*Requete nom dossier*/
      $query = sql_query("SELECT dossier FROM ".$NPDS_Prefix."bug_cate WHERE id_cat = '$id_cat'");
      list($dossier) = sql_fetch_row($query);

      $rep = 'modules/'.$ModPath.'/telechargements/'.$dossier.'/';
      supprimdossier("$rep");

      $result = "DELETE FROM ".$NPDS_Prefix."bug WHERE id_cat = '$id_cat'";
      $succes = sql_query($result) or die ("erreur : ".sql_error());

      $result1 = "DELETE FROM ".$NPDS_Prefix."bug_com WHERE id_cat = '$id_cat'";
      $succes1 = sql_query($result1) or die ("erreur : ".sql_error());

      $result2 = "DELETE FROM ".$NPDS_Prefix."bug_cate WHERE id_cat = '$id_cat'";
      $succes2 = sql_query($result2) or die ("erreur : ".sql_error());

      $result3 = "DELETE FROM ".$NPDS_Prefix."bug_vers WHERE id_cat = '$id_cat'";
      $succes3 = sql_query($result3) or die ("erreur : ".sql_error());

      echo '<div class="cadre_admin" align="center"><span class="text_rouge">'.adm_bug_trad('La cat&eacute;gorie est effac&eacute;e.').'</span><br /><br />[&nbsp;<a href="'.$ThisFile.'&amp;subop=modifcate">'.adm_bug_trad('Retour aux cat&eacute;gories').'</a>&nbsp;]</div>';

   }
   else
   {

      echo '<div class="cadre_admin" align="center"><span class="text_rouge">'.adm_bug_trad('Voulez-vous vraiment supprimer cette cat&eacute;gorie ?').'</span><br /><br />'
      .'[&nbsp;<a href="'.$ThisFile.'&amp;subop=modifcate">'.adm_bug_trad('NON').'</a>&nbsp;|&nbsp;<a href="'.$ThisFile.'&amp;subop=supprimcate&amp;id_cat='.$id_cat.'&amp;ok=1">'.adm_bug_trad('OUI').'</a>&nbsp;]</div>';

   }

   closetable();

}
/// FIN SUPPRIMER CATEGORIE ///

/// DEBUT CONFIG CHAPITRE ///
function editchap()
{

   global $ModPath, $NPDS_Prefix;
   global $ThisFile;

   menuprincipal();

   opentable();

   echo '<div class="cadre_admin">'
   .'<table width="98%" cellpadding="2" cellspacing="2" align="center" border="0">'
   .'<tr align="center" class="sous_titre_module">'
   .'<td colspan="3">&nbsp;'.adm_bug_trad('Configuration des chap&icirc;tres').'</td>'
   .'</tr>'

   .'<tr align="center" class="sous_titre_module">'
   .'<td width="70%">&nbsp;'.adm_bug_trad('Chap&icirc;tre').'</td>'
   .'<td width="15%">&nbsp;'.adm_bug_trad('Editer').'</td>'
   .'<td width="15%">&nbsp;'.adm_bug_trad('Supprimer').'</td>'
   .'</tr>';

   /*Requete affiche categorie suivant $id_cat*/
   $query = sql_query("SELECT * FROM ".$NPDS_Prefix."bug_dos ORDER BY dostitre ASC");
   while(list($id_dos, $dostitre) = sql_fetch_row($query))
   {

      $dostitre = stripslashes($dostitre);

      echo '<tr align="center" class="titre_admin">'
      .'<form action="'.$ThisFile.'" method="post" name="adminForm">'
      .'<td>'
      .'<input type="hidden" name="iddos" value="'.$id_dos.'" />'
      .'<input type="text" name="newtitre" size="20" value="'.$dostitre.'" />'
      .'</td>'
      .'<td align="center">'
      .'<input type="hidden" name="subop" value="chapedit" />'
      .'<input type="submit" class="adm_bouton" value="'.adm_bug_trad('mettre &agrave; jour').'" />'
      .'</td>'
      .'<td align="center"><a href="'.$ThisFile.'&amp;subop=supchap&amp;id_dos='.$id_dos.'"><img src="modules/'.$ModPath.'/images/delete.gif" border="0" /></a></td>'
      .'</tr>';

   }

   echo '</table>'
   .'</div>';

   closetable();

}
/// FIN CONFIG CHAPITRE ///

/// DEBUT VALIDER EDITER CHAPITRE ///
function chapedit($iddos, $newtitre)
{

   global $ModPath, $NPDS_Prefix;
   global $ThisRedo;

   /*Debut securite*/
   settype($iddos,"integer");
   $newtitre = removeHack(addslashes($newtitre));
   /*Fin securite*/

   menuprincipal();

   opentable();

   if ($newtitre == '')
   {

      echo '<div class="cadre_admin" align="center"><span class="text_rouge">'.adm_bug_trad('Vous n\'avez pas introduit de chap&icirc;tre').'</span>'
      .'<br /><a href="javascript:history.go(-1)">'.adm_bug_trad('Retour').'</a></div>';

   }
   else
   {

      $query = "UPDATE ".$NPDS_Prefix."bug_dos SET dostitre = '$newtitre' WHERE id_dos = '$iddos'";
      $succes = sql_query($query);

      if ($succes) redirect_url(''.$ThisRedo.'&subop=editchap');

   }

   closetable();

}
/// FIN VALIDER EDITER CHAPITRE ///

/// DEBUT SUPPRIMER CHAPITRE ///
function supchap($id_dos, $ok=0)
{

   global $ModPath, $NPDS_Prefix;
   global $ThisFile;

   /*Debut securite*/
   settype($id_dos,"integer");
   settype($ok,"integer");
   /*Fin securite*/

   menuprincipal();

   opentable();

   if ($ok == 1)
   {

      /*Requete nom dossier*/
      $query = sql_query("SELECT id_cat FROM ".$NPDS_Prefix."bug_cate WHERE id_dos = '$id_dos'");
      while(list($id_cat) = sql_fetch_row($query))
      {

         $query1 = "UPDATE ".$NPDS_Prefix."bug_cate SET id_dos = '0' WHERE id_cat = '$id_cat'";
         $succes = sql_query($query1);

      }

      $result = "DELETE FROM ".$NPDS_Prefix."bug_dos WHERE id_dos = '$id_dos'";
      $succes = sql_query($result) or die ("erreur : ".sql_error());

      echo '<div class="cadre_admin" align="center"><span class="text_rouge">'.adm_bug_trad('Le chap&icirc;tre est effac&eacute;').'.</span><br /><br />[&nbsp;<a href="'.$ThisFile.'&amp;subop=editchap">'.adm_bug_trad('Retour aux chap&icirc;tres').'</a>&nbsp;]</div>';

   }
   else
   {

      echo '<div class="cadre_admin" align="center"><span class="text_rouge">'.adm_bug_trad('Voulez-vous vraiment supprimer ce chap&icirc;tre ?').'</span><br /><br />'
      .'[&nbsp;<a href="'.$ThisFile.'&amp;subop=editchap">'.adm_bug_trad('NON').'</a>&nbsp;|&nbsp;<a href="'.$ThisFile.'&amp;subop=supchap&amp;id_dos='.$id_dos.'&amp;ok=1">'.adm_bug_trad('OUI').'</a>&nbsp;]</div>';

   }

   closetable();

}
/// FIN SUPPRIMER CHAPITRE ///

/// DEBUT CREER VERSION ///
function creversion($id_cat, $version)
{

   global $NPDS_Prefix;
   global $ThisRedo;

   /*Debut securite*/
   settype($id_cat,"integer");
   $version = removeHack(addslashes($version));
   /*Fin securite*/

   menuprincipal();

   opentable();

   if ($version == '')
   {

      echo '<div class="cadre_admin" align="center"><span class="text_rouge">'.adm_bug_trad('Vous n\'avez pas introduit de version').'</span>'
      .'<br /><a href="javascript:history.go(-1)">'.adm_bug_trad('Retour').'</a></div>';

   }
   else
   {

      /*Verifie si existe deja*/
      $un = sql_num_rows(sql_query("SELECT version FROM ".$NPDS_Prefix."bug_vers WHERE version = '$version' AND id_cat = '$id_cat'"));
      if ($un == '0')
      {

         $update = "INSERT INTO bug_vers VALUES ('', '$id_cat', '$version', '0')";
         sql_query($update) or die(sql_error());

         if ($update) redirect_url (''.$ThisRedo.'&subop=editcategorie&id_cat='.$id_cat.'');

      }
      else
      {

         echo '<div class="cadre_admin" align="center"><span class="text_rouge">'.adm_bug_trad('La version est d&eacute;j&agrave; dans la base !').'</span>'
         .'<br /><a href="javascript:history.go(-1)">'.adm_bug_trad('Retour').'</a></div>';

      }

   }

   closetable();

}
/// FIN CREER VERSION ///

/// DEBUT VALIDER EDITER VERSION ///
function modifversion($id_cat, $idv, $newversion, $arch)
{

   global $NPDS_Prefix;
   global $ThisRedo;

   /*Debut securite*/
   settype($id_cat,"integer");
   settype($idv,"integer");
   settype($arch,"integer");
   $newversion = removeHack(addslashes($newversion));
   /*Fin securite*/

   menuprincipal();

   opentable();

   if ($newversion == '')
   {

      echo '<div class="cadre_admin" align="center"><span class="text_rouge">'.adm_bug_trad('Vous n\'avez pas introduit de version').'</span>'
      .'<br /><a href="javascript:history.go(-1)">'.adm_bug_trad('Retour').'</a></div>';

   }
   else
   {

      $query = "UPDATE ".$NPDS_Prefix."bug_vers SET version = '$newversion', archive = '$arch' WHERE idv = '$idv'";
      $succes = sql_query($query);

      if ($succes) redirect_url (''.$ThisRedo.'&subop=editcategorie&id_cat='.$id_cat.'');

   }

   closetable();

}
/// FIN VALIDER EDITER VERSION ///

/// DEBUT AJOUTER DOSSIER ///
function creadossier($nomdudossier)
{

   global $ModPath;

   /*Debut securite*/
   $nomdudossier = removeHack($nomdudossier);
   /*Fin securite*/

   include ('modules/upload/upload.conf.php');

   if ($DOCUMENTROOT == "")
   {

      global $DOCUMENT_ROOT;
      if ($DOCUMENT_ROOT)
      {

         $DOCUMENTROOT = $DOCUMENT_ROOT;

      }
      else
      {

         $DOCUMENTROOT = $_SERVER['DOCUMENT_ROOT'];

      }

   }

   $user_dir = $DOCUMENTROOT.$racine."/modules/$ModPath/telechargements";
   $repertoire = $user_dir."/$nomdudossier";
   if (!is_dir($user_dir))
   {

      @umask("0000");
      if (@mkdir($user_dir,0777))
      {

         $fp = fopen($user_dir."/index.html", 'w');
         fclose($fp); @umask("0000");
         if (@mkdir($repertoire,0777))
         {

            $fp = fopen($repertoire."/index.html", 'w');
            fclose($fp);
            $fp = fopen($repertoire."/.htaccess", 'w'); @fputs($fp, "Deny from All");
            fclose($fp);

         }

      }

   }
   else
   {

      @umask("0000");
      if (@mkdir($repertoire,0777))
      {

         $fp = fopen($repertoire."/index.html", 'w');
         fclose($fp);
         $fp = fopen($repertoire."/.htaccess", 'w');
         @fputs($fp, "Deny from All");
         fclose($fp);

      }

   }

   @copy($DOCUMENTROOT.$racine."/modules/$ModPath/pic-manager.txt", $repertoire."/pic-manager.txt");

}
/// FIN AJOUTER DOSSIER ///

/// DEBUT SUPPRIMER DOSSIER ///
function supprimdossier($dir)
{

   $current_dir = opendir($dir);

   while($entryname = readdir($current_dir))
   {

      if(is_dir("$dir/$entryname") and ($entryname != "." and $entryname!=".."))
      {

         supprimer_repertoire("${dir}/${entryname}");

      }
      elseif($entryname != "." and $entryname!="..")
      {

         unlink("${dir}/${entryname}");

      }

   }

   closedir($current_dir);
   rmdir(${dir});

}
/// FIN SUPPRIMER DOSSIER ///

/////////////////////
/// FIN CATEGORIE ///
/////////////////////

//////////////////////////
///DEBUT CONFIGURATION ///
//////////////////////////

/// DEBUT CONFIGURATION ///
function configuration()
{

   global $ModPath;
   global $ThisFile;

   menuprincipal();

   opentable();

   include('modules/'.$ModPath.'/admin/config.php');
   include('modules/'.$ModPath.'/cache.timings.php');

   echo '<div class="cadre_admin">'
   .'<div class="titre_admin" align="center">'.adm_bug_trad('Pr&eacute;f&eacute;rences de Bug').'</div><br />'

   .'<table width="98%" align="center" cellpadding="2" cellspacing="5" border="0">'
   .'<form action="'.$ThisFile.'" method="post" name="adminForm">'
   .'<tr align="center">'
   .'<td colspan="2" class="sous_titre_module">'.adm_bug_trad('Ajout + Groupe').'</td>'
   .'</tr>'

   .'<tr class="titre_admin">'
   .'<td width="60%">'.adm_bug_trad('Ajout de bug : 1 Tous les membres - ou groupe').'</td>'
   .'<td width="40%"><input type="text" name="xgro" size="3" value="'.$gro.'" /></td>'
   .'</tr>'

   .'<tr class="titre_admin">'
   .'<td width="60%">'.adm_bug_trad('Groupe des correcteurs').'</td>'
   .'<td width="40%"><input type="text" name="xcor" size="3" value="'.$cor.'" /></td>'
   .'</tr>'

   .'<tr class="titre_admin">'
   .'<td>'.adm_bug_trad('Etre averti par mail d\'un nouveau bug ou commentaire').'</td>';

   if($courriel == 1)
   {

      $oui = "selected=\"selected\"";

   }

   if($courriel == 0)
   {

      $non = "selected=\"selected\"";

   }

   echo '<td>'
   .'<select name="xcourriel">'
   .'<option value="1" '.$oui.'>'.adm_bug_trad('Oui').'</option>'
   .'<option value="0" '.$non.'>'.adm_bug_trad('Non').'</option>'
   .'</select>'
   .'</td>'
   .'</tr>'

   .'<tr class="titre_admin">'
   .'<td>'.adm_bug_trad('Mail du receveur').'</td>'
   .'<td><input type="text" name="xreceveur" size="30" value="'.$receveur.'" /></td>'
   .'</tr>'

   .'<tr align="center">'
   .'<td colspan="2" class="sous_titre_module">'.adm_bug_trad('Admin').'</td>'
   .'</tr>'

   .'<tr class="titre_admin">'
   .'<td>'.adm_bug_trad('Nbre de bugs (pagination)').'</td>'
   .'<td><input type="text" name="xnb_admin" size="3" value="'.$nb_admin.'" /></td>'
   .'</tr>'

   .'<tr class="titre_admin">'
   .'<td>'.adm_bug_trad('Chap&icirc;tre').'</td>';

   if($chap == 1)
   {

      $ooi = "selected=\"selected\"";

   }

   if($chap == 0)
   {

      $nno = "selected=\"selected\"";

   }

   echo '<td>'
   .'<select name="xchap">'
   .'<option value="1" '.$ooi.'>'.adm_bug_trad('Oui').'</option>'
   .'<option value="0" '.$nno.'>'.adm_bug_trad('Non').'</option>'
   .'</select>'
   .'</tr>'

   .'<tr align="center">'
   .'<td colspan="2" class="sous_titre_module">'.adm_bug_trad('Module').'</td>'
   .'</tr>'

   .'<tr class="titre_admin">'
   .'<td>'.adm_bug_trad('Nbre de coms (pagination)').'</td>'
   .'<td><input type="text" name="xnb_news" size="3" value="'.$nb_news.'" /></td>'
   .'</tr>'

   .'<tr class="titre_admin">'
   .'<td>'.adm_bug_trad('Activer les commentaires').'</td>';

   if($com == 1)
   {

      $onligne = "selected=\"selected\"";

   }
   else if($com == 0)
   {

      $offligne = "selected=\"selected\"";

   }

   echo '<td>'
   .'<select name="xcom">'
   .'<option value="1" '.$onligne.'>'.adm_bug_trad('Oui').'</option>'
   .'<option value="0" '.$offligne.'>'.adm_bug_trad('Non').'</option>'
   .'</select>'
   .'</td>'
   .'</tr>'

   .'<tr align="center">'
   .'<td colspan="2" class="sous_titre_module">'.adm_bug_trad('Th&egrave;me').'</td>'
   .'</tr>'

   .'<tr class="titre_admin">'
   .'<td>'.adm_bug_trad('Interne / externe au site').'</td>';

   if($sit == 1)
   {

      $in = "selected=\"selected\"";

   }
   else if($sit == 0)
   {

      $out = "selected=\"selected\"";

   }

   echo '<td>'
   .'<select name="xsit">'
   .'<option value="1" '.$in.'>'.adm_bug_trad('Interne').'</option>'
   .'<option value="0" '.$out.'>'.adm_bug_trad('Externe').'</option>'
   .'</select>'
   .'</td>'
   .'</tr>'

   .'<tr>'
   .'<td colspan="2" class="sous_titre_module" align="center">'.adm_bug_trad('Supercache').'</td>'
   .'</tr>'

   .'<tr class="titre_admin">'
   .'<td>'.adm_bug_trad('Temps du cache (en secondes)').'</td>'
   .'<td><input type="text" name="xtps" size="10" value="'.$CACHE_TIMINGS['modules.php'].'" /></td>'
   .'</tr>'

   .'<tr class="sous_titre_module">'
   .'<td colspan="2" align="center">'
   .'<input type="hidden" name="subop" value="ConfigSave" />'
   .'<input class="adm_bouton" type=submit value="'.adm_bug_trad('Sauver les changements').'" />'
   .'</td>'
   .'</tr>'
   .'</form>'
   .'</table>'

   .'</div>';

   closetable();

}
/// FIN CONFIGURATION ///

/// DEBUT SAUVER CONFIGURATION ///
function ConfigSave($xgro, $xcor, $xcourriel, $xreceveur, $xnb_admin, $xchap, $xnb_news, $xcom, $xsit, $xtps)
{

   global $ModPath;

   /*Debut securite*/
   settype($xgro,"integer");
   settype($xcor,"integer");
   settype($xcourriel,"integer");
   settype($xnb_admin,"integer");
   settype($xchap,"integer");
   settype($xnb_news,"integer");
   settype($xcom,"integer");
   settype($xsit,"integer");
   settype($xtps,"integer");
   $xreceveur = removeHack($xreceveur);
   /*Fin securite*/

   if ($xgro == '0')
   {

      $xgro = '1';

   }

   if ($xcor == '0')
   {

      $xcor = '1';

   }

   menuprincipal();

   $file = fopen('modules/'.$ModPath.'/admin/config.php', 'w');

   $content = "<?php\n";
   $content .= "/************************************************************/\n";
   $content .= "/* NPDS : Net Portal Dynamic System                         */\n";
   $content .= "/* ==========================                               */\n";
   $content .= "/* Fichier : modules/bug/admin/config.php                   */\n";
   $content .= "/*                                                          */\n";
   $content .= "/* Module Bug                                               */\n";
   $content .= "/* Version 1.0 Beta                                         */\n";
   $content .= "/* Auteur Oim                                               */\n";
   $content .= "/*                                                          */\n";
   $content .= "/* Editeur utilise Gedit 2.24.2                             */\n";
   $content .= "/* Largeur des tabulations 3 espaces                        */\n";
   $content .= "/************************************************************/\n";
   $content .= "\n";
   $content .= "\$gro         = \"$xgro\";\n";
   $content .= "\$cor         = \"$xcor\";\n";
   $content .= "\$courriel    = \"$xcourriel\";\n";
   $content .= "\$receveur    = \"$xreceveur\";\n";
   $content .= "\$nb_admin    = \"$xnb_admin\";\n";
   $content .= "\$chap        = \"$xchap\";\n";
   $content .= "\$nb_news     = \"$xnb_news\";\n";
   $content .= "\$com         = \"$xcom\";\n";
   $content .= "\$sit         = \"$xsit\";\n";
   $content .= "\n";
   $content .= "?>";

   fwrite($file, $content);

   fclose($file);

   if($xtps)
   {

      $file = fopen('modules/'.$ModPath.'/cache.timings.php', 'w');

      $content = "<?php\n";
      $content .= "/************************************************************/\n";
      $content .= "/* NPDS : Net Portal Dynamic System                         */\n";
      $content .= "/* ==========================                               */\n";
      $content .= "/* Fichier : modules/bug/cache.timings.php                  */\n";
      $content .= "/*                                                          */\n";
      $content .= "/* Module Bug                                               */\n";
      $content .= "/* Version 1.0 Beta                                         */\n";
      $content .= "/* Auteur Oim                                               */\n";
      $content .= "/*                                                          */\n";
      $content .= "/* Editeur utilise Gedit 2.24.2                             */\n";
      $content .= "/* Largeur des tabulations 3 espaces                        */\n";
      $content .= "/************************************************************/\n";
      $content .= "\n";
      $content .= "\$CACHE_TIMINGS['modules.php']  = $xtps;\n";
      $content .= "\$CACHE_QUERYS['modules.php']   = \"^ModPath=$ModPath&ModStart=bug\";\n";
      $content .= "\n";
      $content .= "?>";

      fwrite($file, $content);

      fclose($file);

   }

   opentable();

   echo '<div class="cadre_admin" align="center"><span class="text_rouge">'.adm_bug_trad('Les pr&eacute;f&eacute;rences pour Bug sont enregistr&eacute;es.').'</span>';

   closetable();

}
/// FIN SAUVER CONFIGURATION ///

////////////////////////
///FIN CONFIGURATION ///
////////////////////////

////////////////////
/// FIN FONCTION ///
////////////////////

   /*Debut Retro compatibilité SABLE*/
   if (!function_exists('sql_connect'))
   {

      include ('modules/'.$ModPath.'/retro-compat/mysql.php');

   }
   /*Fin Retro compatibilité SABLE*/

   if (file_exists('modules/'.$ModPath.'/admin/pages.php'))
   {

      include ('modules/'.$ModPath.'/admin/pages.php');

   }

   if ($admin)
   {

      /*Parametres utilises par le script*/
      $ThisFile = 'admin.php?op=Extend-Admin-SubModule&amp;ModPath='.$ModPath.'&amp;ModStart='.$ModStart.'';
      $ThisRedo = 'admin.php?op=Extend-Admin-SubModule&ModPath='.$ModPath.'&ModStart='.$ModStart.'';

      if (file_exists('modules/'.$ModPath.'/admin/lang/'.$language.'.php'))
      {

         include_once('modules/'.$ModPath.'/admin/lang/'.$language.'.php');

      }
      else
      {

         include_once('modules/'.$ModPath.'/admin/lang/french.php');

      }

      /*css perso admin en attendant evolution page.php*/
      if (isset($user))
      {

         echo '<link rel="stylesheet" type="text/css" href="themes/'.$cookie[9].'/style/'.$ModPath.'_admin.css" />';

      }
      else
      {

         echo '<link rel="stylesheet" type="text/css" href="themes/'.$Default_Theme.'/style/'.$ModPath.'_admin.css" />';

      }

      switch($subop)
      {

         default:
            adminbug();
         break;

         case 'menuprincipal':
            menuprincipal();
         break;

         case 'editbug':
            editbug($id, $id_cat);
         break;

         case 'ajoutbug':
            ajoutbug($id, $newcate, $newendroit, $newstatut, $newimportance, $message, $correc);
         break;

         case 'transfert':
            transfert($id, $forum);
         break;

         case 'suppbug':
            suppbug($id, $ok);
         break;

         case 'modifcate':
            modifcate();
         break;

         case 'catcreer':
            catcreer($chapitre, $chapitre1, $titre, $dossier, $version, $chef);
         break;

         case 'editcategorie':
            editcategorie($id_cat);
         break;

         case 'changetitre':
            changetitre($chapitre, $chapitre1, $id_cat, $newtitre, $newdossier, $newchef, $newcat_ligne);
         break;

         case 'supprimcate':
            supprimcate($id_cat, $ok);
         break;

         case 'supppcom':
            supppcom($id_bug, $cid, $id_cat, $ok);
         break;

         /*Chapitre*/
         case 'editchap':
            editchap();
         break;

         case 'supchap':
            supchap($id_dos, $ok);
         break;

         case 'chapedit':
            chapedit($iddos, $newtitre);
         break;

         /*Version*/
         case 'creversion':
            creversion($id_cat, $version);
         break;

         case 'modifversion':
            modifversion($id_cat, $idv, $newversion, $arch);
         break;

         /*Niveaux*/
         case 'niveaux':
            niveaux();
         break;

         case 'changetitrestat':
            changetitrestat($id_stat, $Ntitre_stat, $Ncoul_stat);
         break;

         case 'supprimstat':
            supprimstat($id_stat, $ok);
         break;

         case 'statcreer':
            statcreer($titre_stat, $coul_stat);
         break;

         case 'editstat':
            editstat($id_stat);
         break;

         case 'changetitreimp':
            changetitreimp($id_imp, $Ntitre_imp, $Ncoul_imp);
         break;

         case 'supprimimp':
            supprimimp($id_imp, $ok);
         break;

         case 'impcreer':
            impcreer($titre_imp, $coul_imp);
         break;

         case 'editimp':
            editimp($id_imp);
         break;

         /*Configuration*/
         case 'configuration':
            configuration();
         break;

         case 'ConfigSave':
            ConfigSave($xgro, $xcor, $xcourriel, $xreceveur, $xnb_admin, $xchap, $xnb_news, $xcom, $xsit, $xtps);
         break;

      }

   }

?>
