<?
/************************************************************************/
/************************************************************************/
/*                                                                      */
/* NMIG : NPDS Module Installer Generator                               */
/* --------------------------------------                               */
/*                                                                      */
/* Version 1.1 - 13 Juin 2005                                           */
/* --------------------------                                           */
/*                                                                      */
/* Gnrateur de fichier de configuration pour Module-Install 1.1       */
/*                                                                      */
/* Dvelopp par Boris - http://www.lordi-depanneur.com                 */
/*                                                                      */#	N      N  M      M  IIIII     GGG
/* Module-Install est un installeur inspir du programme d'installation */#	NN     N  MM    MM    I     GG   GG
/* d'origine du module Hot-Projet dvelopp par Hotfirenet              */#	N N    N  M M  M M    I    G       G
/*                                                                      */#	N  N   N  M  MM  M    I    G
/************************************************************************/#	N   N  N  M      M    I    G   GGGGGG
/*                                                                      */#	N    N N  M      M    I    G      GG
/* NPDS : Net Portal Dynamic System                                     */#	N     NN  M      M    I     GG   GG
/* ================================                                     */#	N      N  M      M  IIIII     GGG
/*                                                                      */
/* This version name NPDS Copyright (c) 2001 by Philippe Brunier        */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/*                                                                      */
/************************************************************************/
/************************************************************************/

#autodoc $name_module: Nom du module

$name_module = "Bug";

#autodoc $list_fich : Modifications de fichiers: Dans le premier tableau, tapez le nom du fichier
#autodoc et dans le deuxime, A LA MEME POSITION D'INDEX QUE LE PREMIER, tapez le code  insrer dans le fichier.
#autodoc Si le fichier doit tre cr, n'oubliez pas les < ? php et ? > !!! (sans espace!).
#autodoc Synopsis: $list_fich = array(array("nom_fichier1","nom_fichier2"), array("contenu_fchier1","contenu_fichier2"));

$list_fich = array(
   array("admin/extend-modules.txt"), 
   array("[module]\n[nom]Bug[/nom]\n[ModPath]bug[/ModPath]\n[ModStart]admin/admin[/ModStart]\n[niveau]radminsuper[/niveau]\n[/module]\n")
);

#autodoc $sql = array(""): Si votre module doit excuter une ou plusieurs requtes SQL, tapez vos requtes ici.
#autodoc Attention! UNE requte par lment de tableau!
#autodoc Synopsis: $sql = array("requte_sql_1","requte_sql_2");

$sql = array(
   "CREATE TABLE IF NOT EXISTS `bug` (
      `id` bigint(20) NOT NULL auto_increment,
      `endroit` varchar(500) collate utf8_unicode_ci NOT NULL,
      `statut` int(5) NOT NULL,
      `importance` int(5) NOT NULL,
      `posteur` varchar(60) collate utf8_unicode_ci NOT NULL,
      `correcteur` varchar(60) collate utf8_unicode_ci NOT NULL,
      `description` text collate utf8_unicode_ci NOT NULL,
      `id_cat` tinyint(11) NOT NULL,
      `date` varchar(20) collate utf8_unicode_ci NOT NULL,
      `datfin` varchar(20) collate utf8_unicode_ci NOT NULL,
      `version` varchar(11) collate utf8_unicode_ci NOT NULL,
      KEY `id` (`id`)
   ) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=0 ;",

   "CREATE TABLE IF NOT EXISTS `bug_cate` (
      `id_cat` mediumint(11) NOT NULL auto_increment,
      `titre` mediumtext collate utf8_unicode_ci NOT NULL,
      `cat_ligne` tinyint(1) NOT NULL default '0',
      `chef` varchar(25) collate utf8_unicode_ci NOT NULL,
      `dossier` varchar(50) collate utf8_unicode_ci NOT NULL,
      `id_dos` mediumint(11) NOT NULL,
      KEY `id` (`id_cat`)
   ) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=0 ;",

   "CREATE TABLE IF NOT EXISTS `bug_com` (
      `id` int(11) NOT NULL auto_increment,
      `id_cat` int(11) NOT NULL,
      `id_bug` int(11) NOT NULL,
      `pseudo` varchar(60) collate utf8_unicode_ci NOT NULL,
      `com` mediumtext collate utf8_unicode_ci NOT NULL,
      `date` varchar(60) collate utf8_unicode_ci NOT NULL,
      PRIMARY KEY  (`id`)
   ) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=0 ;",

   "CREATE TABLE IF NOT EXISTS `bug_imp` (
      `id_imp` bigint(20) NOT NULL auto_increment,
      `inom` varchar(500) collate utf8_unicode_ci NOT NULL,
      `coul_imp` varchar(10) collate utf8_unicode_ci NOT NULL,
      KEY `id_imp` (`id_imp`)
   ) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=4 ;",
   "INSERT INTO `bug_imp` (`id_imp`, `inom`, `coul_imp`) VALUES
      (1, '[french]Haute[/french][english]High[/english]', 'ff0000'),
      (2, '[french]Moyenne[/french][english]Medium[/english]', 'ff9900'),
      (3, '[french]Faible[/french][english]Slow[/english]', 'ffcc00');",

   "CREATE TABLE IF NOT EXISTS `bug_statut` (
      `id_stat` bigint(20) NOT NULL auto_increment,
      `snom` varchar(500) collate utf8_unicode_ci NOT NULL,
      `coul_stat` varchar(10) collate utf8_unicode_ci NOT NULL,
      KEY `id_stat` (`id_stat`)
   ) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=5 ;",
   "INSERT INTO `bug_statut` (`id_stat`, `snom`, `coul_stat`) VALUES
      (1, '[french]En attente[/french][english]Pending[/english]', 'ff0000'),
      (2, '[french]R&eacute;par&eacute;[/french][english]Repaired[/english]', '009900'),
      (3, '[french]En r&eacute;paration[/french][english]As a remedy[/english]', '000000'),
      (4, '[french]Confirm&eacute;[/french][english]confirmed[/english]', '0000ff');",

   "CREATE TABLE IF NOT EXISTS `bug_imp` (
      `id_imp` bigint(20) NOT NULL auto_increment,
      `inom` varchar(500) collate utf8_unicode_ci NOT NULL,
      `coul_imp` varchar(10) collate utf8_unicode_ci NOT NULL,
      KEY `id_imp` (`id_imp`)
   ) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=0 ;",

   "CREATE TABLE IF NOT EXISTS `bug_dos` (
      `id_dos` mediumint(11) NOT NULL auto_increment,
      `dostitre` mediumtext collate utf8_unicode_ci NOT NULL,
      KEY `id_dos` (`id_dos`)
   ) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=0 ;",

   "CREATE TABLE IF NOT EXISTS `bug_vers` (
      `idv` mediumint(11) NOT NULL auto_increment,
   `id_cat` mediumint(11) NOT NULL,
      `version` varchar(200) collate utf8_unicode_ci NOT NULL,
      `archive` int(1) NOT NULL,
      KEY `idv` (`idv`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=0 ;"
);

#autodoc $blocs = array(array(""), array(""), array(""), array(""), array(""), array(""), array(""), array(""), array(""))
#autodoc                titre      contenu    membre     groupe     index      rtention  actif      aide       description
#autodoc Configuration des blocs

$blocs = array(
   array("Bugs"), 
   array("include#modules/bug/bloc/bloc_bug.php"), 
   array("0"), 
   array(""), 
   array("1"), 
   array("0"), 
   array("1"), 
   array("Afficher la situation du membre"), 
   array("Afficher la situation du membre"));

#autodoc $txtdeb : Vous pouvez mettre ici un texte de votre choix avec du html qui s'affichera au dbut de l'install
#autodoc Si rien n'est mis, le texte par dfaut sera automatiquement affich

$txtdeb = "<div align=\"center\"><font size=\"4\" color=\"#0000ff\"><u><b>Installation du module Bug V1.0</b></u></font><br /></div><br />Faite une sauvegarde de votre site par pr&eacute;caution avant l'installation.<br /><br />Ce module vous permet de montrer &agrave; vos membres le suivie des corrections de vos d&eacute;veloppements ou autres. Fonctionne pour toutes les versions de NPDS.<br />";


#autodoc $txtfin : Vous pouvez mettre ici un texte de votre choix avec du html qui s'affichera  la fin de l'install

$txtfin = "<div align=\"center\"><font size=\"4\"><u><b>Votre installation est maintenant <font color=\"#ff0000\">PRESQUE TERMINEE</font></b></u><br /></font></div><br />Copier les fichier install/bugcorrec.conf.php et install/bugadmin.conf.php dans le dossier module/f-manager/users<br />Copier le fichier /install/bug.css, bug_admin.css et bug_bloc.css dans le dossier style de votre th&egrave;me.<br /><br />Vous pouvez &eacute;galement ajouter un bloc et/ou un meta-mot, voir dans le dossier install le fichier au format.<br />\n<br />\nConcernant l'upload :<br />\n<ul>\n<li>Vous devez configurer le fichier modules/upload/upload.conf</li>\n<br />Penser &eacute;galement aux <font color=\"#ff0000\">chomds</font> :<br /><ul><li>Chmod 755 ou 777 aux dossiers.</li><li>Chmod 766 :</li><ol><li>cache.timings.php</li><li>admin/config.php</li></ol><li>Chmod 666 aux fichiers se terminant par .html</li><li>Chmod 744 aux autres fichiers.<br /></li></ul>";

#autodoc $link: Lien sur lequel sera redirig l'utilisateur  la fin de l'install (si laiss vide, redirig sur index.php)
#autodoc N'oubliez pas les '\' si vous utilisez des guillemets !!!

$end_link = "admin.php?op=Extend-Admin-SubModule&ModPath=bug&ModStart=admin/admin";
?>
