<?php
/************************************************************/
/* NPDS : Net Portal Dynamic System                         */
/* ==========================                               */
/* Fichier : modules/bug/lang/english.php                   */
/*                                                          */
/* Module Bug                                               */
/* Version 1.0 Beta                                         */
/* Auteur Oim                                               */
/*                                                          */
/* Editeur utilise Gedit 2.24.2                             */
/* Largeur des tabulations 3 espaces                        */
/************************************************************/

function bug_trad($phrase)
{

   switch ($phrase)
   {

      case "A d&eacute;terminer": $tmp = "To be determined"; break;
      case "Administration de bug": $tmp = "Administration Report"; break;
      case "Archives": $tmp = "Archives"; break;
      case "Aucune": $tmp = "Nothing"; break;
      case "Bug": $tmp = "Bug"; break;
      case "Corrig&eacute; le": $tmp = "Finish the"; break;
      case "Cr&eacute;&eacute; le": $tmp = "Create the"; break;
      case "Description du bug": $tmp = "Bug description"; break;
      case "Editer ce bug": $tmp = "Edit this bug"; break;
      case "Il y a eu un probl&egrave;me !": $tmp = "There was a problem !"; break;
      case "Index": $tmp = "Index"; break;
      case "Le bug est effac&eacute;.": $tmp = "The bug is cleared."; break;
      case "Le commentaire est effac&eacute;.": $tmp = "The comment is deleted."; break;
      case "Lien": $tmp = "Link"; break;
      case "Liste des cat&eacute;gories que vous g&eacute;rer": $tmp = "List of categories that you manage"; break;
      case "Nbres de requ&ecirc;tes": $tmp = "Numbers of requests"; break;
      case "NON": $tmp = "NO"; break;
      case "Nouveau bug": $tmp = "New bug"; break;
      case "Nouveau commentaire dans bug": $tmp = "New comment in bug"; break;
      case "OUI": $tmp = "YES"; break;
      case "Pas de commentaire": $tmp = "No comment"; break;
      case "Pas de description ou de titre ou de cat&eacute;gorie": $tmp = "No description or title or category"; break;
      case "Rapport de bug": $tmp = "Bug Report"; break;
      case "Responsable": $tmp = "Boss"; break;
      case "Retour": $tmp = "Return"; break;
      case "Retour au bug": $tmp = "Return to bug"; break;
      case "Supprimer ce bug": $tmp = "Delete this bug"; break;
      case "T&eacute;l&eacute;chargements": $tmp = "Downloads"; break;
      case "Temps": $tmp = "Time"; break;
      case "Temps &eacute;coul&eacute;": $tmp = "Time passed"; break;
      case "Toutes": $tmp = "All"; break;
      case "Un nouveau bug &agrave; &eacute;t&eacute; post&eacute;.": $tmp = "A new bug has been posted."; break;
      case "Un nouveau commentaire &agrave; &eacute;t&eacute; post&eacute; dans la fiche du bug que vous corrigez.": $tmp = "A new comment in summer posted in the chip of the bug which you correct."; break;
      case "Un nouveau commentaire &agrave; &eacute;t&eacute; post&eacute; dans la fiche du bug que vous avez post&eacute;.": $tmp = "Un new comment in summer posted in the chip of the bug which you posted."; break;
      case "Un nouveau commentaire &agrave; &eacute;t&eacute; post&eacute; dans le module bug.": $tmp = "A new comment has been posted in the bug module."; break;
      case "Un nouveau commentaire &agrave; &eacute;t&eacute; post&eacute; dans le module bug dans une cat&eacute;gorie que vous dirigez.": $tmp = "A new comment has been posted in the bug module in the cateogy where you are the boss"; break;
      case "Voir cette cat&eacute;gorie": $tmp = "See this category"; break;
      case "Voir votre page": $tmp = "See your page"; break;
      case "Votre bug a &eacute;t&eacute; post&eacute;": $tmp = "Your bug has been posted"; break;
      case "Votre commentaire a &eacute;t&eacute; post&eacute;": $tmp = "Your comment has been posted"; break;
      case "Votre situation": $tmp = "Your situation"; break;
      case "Voulez-vous vraiment supprimer ce bug ?": $tmp = "Do you really want to delete this bug ?"; break;
      case "Voulez-vous vraiment supprimer ce commentaire ?": $tmp = "Do you really want to delete this com ?"; break;
      case "Vous": $tmp = "You"; break;
      case "Vous n'avez pas introduit de correcteur": $tmp = "You do not introduce a correction"; break;
      case "Vous n'avez pas introduit de forum": $tmp = "You do not introduce a forum"; break;

      default: $tmp = "Translation error <b>[** $phrase **]</b>"; break;

   }

   return $tmp;

}

?>
